--------------------------------------------------------------------------------
-- Copyright (c) 1995-2008 Xilinx, Inc.  All rights reserved.
--------------------------------------------------------------------------------
--   ____  ____ 
--  /   /\/   / 
-- /___/  \  /    Vendor: Xilinx 
-- \   \   \/     Version : 10.1.03
--  \   \         Application : sch2vhdl
--  /   /         Filename : SPI_Ports.vhf
-- /___/   /\     Timestamp : 01/24/2009 19:48:06
-- \   \  /  \ 
--  \___\/\___\ 
--
--Command: D:\Xilinx\ISE\bin\nt\unwrapped\sch2vhdl.exe -intstyle ise -family spartan3 -flat -suppress -w "D:/Eigene Dateien/ct-DDSDUAL/source/SPI_Ports.sch" SPI_Ports.vhf
--Design Name: SPI_Ports
--Device: spartan3
--Purpose:
--    This vhdl netlist is translated from an ECS schematic. It can be 
--    synthesis and simulted, but it should not be modified. 
--

library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
library UNISIM;
use UNISIM.Vcomponents.ALL;

entity SPI_Ports is
   port ( BASEADR : in    std_logic_vector (3 downto 0); 
          DCLK    : in    std_logic; 
          D0      : in    std_logic_vector (31 downto 0); 
          D1      : in    std_logic_vector (31 downto 0); 
          D2      : in    std_logic_vector (31 downto 0); 
          D3      : in    std_logic_vector (31 downto 0); 
          F_DS    : in    std_logic; 
          F_MOSI  : in    std_logic; 
          F_RS    : in    std_logic; 
          F_SCLK  : in    std_logic; 
          E0      : out   std_logic; 
          E1      : out   std_logic; 
          E2      : out   std_logic; 
          E3      : out   std_logic; 
          E4      : out   std_logic; 
          E5      : out   std_logic; 
          E6      : out   std_logic; 
          E7      : out   std_logic; 
          F_MISO  : out   std_logic; 
          Q0      : out   std_logic_vector (31 downto 0); 
          Q1      : out   std_logic_vector (31 downto 0); 
          Q2      : out   std_logic_vector (31 downto 0); 
          Q3      : out   std_logic_vector (31 downto 0); 
          Q4      : out   std_logic_vector (31 downto 0); 
          Q5      : out   std_logic_vector (31 downto 0); 
          Q6      : out   std_logic_vector (31 downto 0); 
          Q7      : out   std_logic_vector (31 downto 0));
end SPI_Ports;

architecture BEHAVIORAL of SPI_Ports is
   attribute IOSTANDARD : string ;
   attribute SLEW       : string ;
   attribute DRIVE      : string ;
   attribute BOX_TYPE   : string ;
   signal XLXN_717 : std_logic;
   signal XLXN_815 : std_logic;
   signal XLXN_816 : std_logic;
   signal XLXN_817 : std_logic;
   signal XLXN_819 : std_logic;
   signal XLXN_821 : std_logic;
   signal XLXN_828 : std_logic;
   signal XLXN_829 : std_logic;
   signal XLXN_830 : std_logic;
   signal XLXN_839 : std_logic;
   signal XLXN_840 : std_logic;
   signal XLXN_841 : std_logic;
   signal XLXN_842 : std_logic;
   signal XLXN_854 : std_logic;
   signal XLXN_855 : std_logic;
   signal XLXN_856 : std_logic;
   signal XLXN_857 : std_logic;
   signal XLXN_858 : std_logic;
   signal XLXN_859 : std_logic;
   signal XLXN_860 : std_logic;
   signal XLXN_861 : std_logic;
   signal XLXN_868 : std_logic;
   component SPI_dec8
      port ( BASEADR   : in    std_logic_vector (3 downto 0); 
             SSREG     : in    std_logic; 
             MOSI      : in    std_logic; 
             SCLK      : in    std_logic; 
             SSDAT     : in    std_logic; 
             MISO_TRIS : out   std_logic; 
             SSDAT_0   : out   std_logic; 
             SSDAT_7   : out   std_logic; 
             SSDAT_6   : out   std_logic; 
             SSDAT_1   : out   std_logic; 
             SSDAT_2   : out   std_logic; 
             SSDAT_5   : out   std_logic; 
             SSDAT_4   : out   std_logic; 
             SSDAT_3   : out   std_logic);
   end component;
   
   component OBUFT
      port ( I : in    std_logic; 
             T : in    std_logic; 
             O : out   std_logic);
   end component;
   attribute IOSTANDARD of OBUFT : component is "DEFAULT";
   attribute SLEW of OBUFT : component is "SLOW";
   attribute DRIVE of OBUFT : component is "12";
   attribute BOX_TYPE of OBUFT : component is "BLACK_BOX";
   
   component SPI_in32
      port ( DQ      : out   std_logic_vector (31 downto 0); 
             MOSI    : in    std_logic; 
             SCLK    : in    std_logic; 
             SSDAT   : in    std_logic; 
             DCLK    : in    std_logic; 
             DS      : out   std_logic_vector (31 downto 0); 
             DSREADY : out   std_logic);
   end component;
   
   component INV
      port ( I : in    std_logic; 
             O : out   std_logic);
   end component;
   attribute BOX_TYPE of INV : component is "BLACK_BOX";
   
   component SPI_out32
      port ( DATA  : in    std_logic_vector (31 downto 0); 
             MISO  : out   std_logic; 
             SSDAT : in    std_logic; 
             SCLK  : in    std_logic);
   end component;
   
   component OR4
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             I2 : in    std_logic; 
             I3 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of OR4 : component is "BLACK_BOX";
   
begin
   XLXI_194 : SPI_dec8
      port map (BASEADR(3 downto 0)=>BASEADR(3 downto 0),
                MOSI=>F_MOSI,
                SCLK=>F_SCLK,
                SSDAT=>F_DS,
                SSREG=>F_RS,
                MISO_TRIS=>XLXN_717,
                SSDAT_0=>XLXN_861,
                SSDAT_1=>XLXN_860,
                SSDAT_2=>XLXN_859,
                SSDAT_3=>XLXN_858,
                SSDAT_4=>XLXN_857,
                SSDAT_5=>XLXN_856,
                SSDAT_6=>XLXN_855,
                SSDAT_7=>XLXN_854);
   
   XLXI_248 : OBUFT
      port map (I=>XLXN_821,
                T=>XLXN_717,
                O=>F_MISO);
   
   XLXI_298 : SPI_in32
      port map (DCLK=>DCLK,
                MOSI=>F_MOSI,
                SCLK=>F_SCLK,
                SSDAT=>XLXN_861,
                DQ(31 downto 0)=>Q0(31 downto 0),
                DS=>open,
                DSREADY=>XLXN_868);
   
   XLXI_299 : SPI_in32
      port map (DCLK=>DCLK,
                MOSI=>F_MOSI,
                SCLK=>F_SCLK,
                SSDAT=>XLXN_859,
                DQ(31 downto 0)=>Q2(31 downto 0),
                DS=>open,
                DSREADY=>XLXN_829);
   
   XLXI_301 : SPI_in32
      port map (DCLK=>DCLK,
                MOSI=>F_MOSI,
                SCLK=>F_SCLK,
                SSDAT=>XLXN_858,
                DQ(31 downto 0)=>Q3(31 downto 0),
                DS=>open,
                DSREADY=>XLXN_830);
   
   XLXI_305 : INV
      port map (I=>XLXN_868,
                O=>E0);
   
   XLXI_306 : SPI_in32
      port map (DCLK=>DCLK,
                MOSI=>F_MOSI,
                SCLK=>F_SCLK,
                SSDAT=>XLXN_860,
                DQ(31 downto 0)=>Q1(31 downto 0),
                DS=>open,
                DSREADY=>XLXN_828);
   
   XLXI_309 : SPI_out32
      port map (DATA(31 downto 0)=>D3(31 downto 0),
                SCLK=>F_SCLK,
                SSDAT=>XLXN_858,
                MISO=>XLXN_815);
   
   XLXI_310 : SPI_out32
      port map (DATA(31 downto 0)=>D2(31 downto 0),
                SCLK=>F_SCLK,
                SSDAT=>XLXN_859,
                MISO=>XLXN_816);
   
   XLXI_311 : SPI_out32
      port map (DATA(31 downto 0)=>D1(31 downto 0),
                SCLK=>F_SCLK,
                SSDAT=>XLXN_860,
                MISO=>XLXN_817);
   
   XLXI_312 : SPI_out32
      port map (DATA(31 downto 0)=>D0(31 downto 0),
                SCLK=>F_SCLK,
                SSDAT=>XLXN_861,
                MISO=>XLXN_819);
   
   XLXI_313 : OR4
      port map (I0=>XLXN_819,
                I1=>XLXN_817,
                I2=>XLXN_816,
                I3=>XLXN_815,
                O=>XLXN_821);
   
   XLXI_317 : INV
      port map (I=>XLXN_828,
                O=>E1);
   
   XLXI_318 : INV
      port map (I=>XLXN_829,
                O=>E2);
   
   XLXI_319 : INV
      port map (I=>XLXN_830,
                O=>E3);
   
   XLXI_320 : SPI_in32
      port map (DCLK=>DCLK,
                MOSI=>F_MOSI,
                SCLK=>F_SCLK,
                SSDAT=>XLXN_855,
                DQ(31 downto 0)=>Q6(31 downto 0),
                DS=>open,
                DSREADY=>XLXN_841);
   
   XLXI_321 : SPI_in32
      port map (DCLK=>DCLK,
                MOSI=>F_MOSI,
                SCLK=>F_SCLK,
                SSDAT=>XLXN_854,
                DQ(31 downto 0)=>Q7(31 downto 0),
                DS=>open,
                DSREADY=>XLXN_842);
   
   XLXI_322 : SPI_in32
      port map (DCLK=>DCLK,
                MOSI=>F_MOSI,
                SCLK=>F_SCLK,
                SSDAT=>XLXN_857,
                DQ(31 downto 0)=>Q4(31 downto 0),
                DS=>open,
                DSREADY=>XLXN_839);
   
   XLXI_323 : SPI_in32
      port map (DCLK=>DCLK,
                MOSI=>F_MOSI,
                SCLK=>F_SCLK,
                SSDAT=>XLXN_856,
                DQ(31 downto 0)=>Q5(31 downto 0),
                DS=>open,
                DSREADY=>XLXN_840);
   
   XLXI_324 : INV
      port map (I=>XLXN_839,
                O=>E4);
   
   XLXI_325 : INV
      port map (I=>XLXN_840,
                O=>E5);
   
   XLXI_326 : INV
      port map (I=>XLXN_841,
                O=>E6);
   
   XLXI_327 : INV
      port map (I=>XLXN_842,
                O=>E7);
   
end BEHAVIORAL;


