VERSION 6
BEGIN SCHEMATIC
    BEGIN ATTR DeviceFamilyName "spartan3"
        DELETE all:0
        EDITNAME all:0
        EDITTRAIT all:0
    END ATTR
    BEGIN NETLIST
        SIGNAL SSDAT
        SIGNAL SPI_CLKINV
        SIGNAL XLXN_284
        SIGNAL Q0H(15:0)
        SIGNAL SCLK
        SIGNAL XLXN_357
        SIGNAL Q0H(15)
        SIGNAL DATA(31:0)
        SIGNAL MISO
        SIGNAL Q0L(15:0)
        SIGNAL XLXN_365
        SIGNAL Q0L(15)
        SIGNAL DATA(31:16)
        SIGNAL DATA(15:0)
        SIGNAL SSDATN
        PORT Input SSDAT
        PORT Input SCLK
        PORT Input DATA(31:0)
        PORT Output MISO
        BEGIN BLOCKDEF gnd
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 64 -64 64 -96 
            LINE N 76 -48 52 -48 
            LINE N 68 -32 60 -32 
            LINE N 88 -64 40 -64 
            LINE N 64 -64 64 -80 
            LINE N 64 -128 64 -96 
        END BLOCKDEF
        BEGIN BLOCKDEF inv
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 0 -32 64 -32 
            LINE N 224 -32 160 -32 
            LINE N 64 -64 128 -32 
            LINE N 128 -32 64 0 
            LINE N 64 0 64 -64 
            CIRCLE N 128 -48 160 -16 
        END BLOCKDEF
        BEGIN BLOCKDEF fdc
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 0 -128 64 -128 
            LINE N 0 -32 64 -32 
            LINE N 0 -256 64 -256 
            LINE N 384 -256 320 -256 
            RECTANGLE N 64 -320 320 -64 
            LINE N 64 -112 80 -128 
            LINE N 80 -128 64 -144 
            LINE N 192 -64 192 -32 
            LINE N 192 -32 64 -32 
        END BLOCKDEF
        BEGIN BLOCKDEF and2b1
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 64 -48 64 -144 
            LINE N 64 -144 144 -144 
            LINE N 144 -48 64 -48 
            ARC N 96 -144 192 -48 144 -48 144 -144 
            LINE N 256 -96 192 -96 
            LINE N 0 -128 64 -128 
            LINE N 0 -64 40 -64 
            CIRCLE N 40 -76 64 -52 
        END BLOCKDEF
        BEGIN BLOCKDEF sr16cle
            TIMESTAMP 2000 1 1 10 10 10
            RECTANGLE N 64 -640 320 -64 
            LINE N 0 -128 64 -128 
            LINE N 0 -192 64 -192 
            LINE N 0 -32 64 -32 
            LINE N 0 -512 64 -512 
            LINE N 0 -320 64 -320 
            LINE N 384 -384 320 -384 
            LINE N 0 -576 64 -576 
            LINE N 80 -128 64 -144 
            LINE N 64 -112 80 -128 
            LINE N 192 -32 64 -32 
            LINE N 192 -64 192 -32 
            RECTANGLE N 0 -524 64 -500 
            RECTANGLE N 320 -396 384 -372 
        END BLOCKDEF
        BEGIN BLOCK XLXI_4 gnd
            PIN G XLXN_365
        END BLOCK
        BEGIN BLOCK XLXI_119 inv
            PIN I SSDAT
            PIN O SSDATN
        END BLOCK
        BEGIN BLOCK XLXI_199 fdc
            PIN C SPI_CLKINV
            PIN CLR SSDAT
            PIN D SSDATN
            PIN Q XLXN_284
        END BLOCK
        BEGIN BLOCK XLXI_200 inv
            PIN I XLXN_284
            PIN O XLXN_357
        END BLOCK
        BEGIN BLOCK XLXI_214 inv
            PIN I SCLK
            PIN O SPI_CLKINV
        END BLOCK
        BEGIN BLOCK XLXI_217 and2b1
            PIN I0 SSDAT
            PIN I1 Q0H(15)
            PIN O MISO
        END BLOCK
        BEGIN BLOCK XLXI_218 sr16cle
            PIN C SPI_CLKINV
            PIN CE SSDATN
            PIN CLR XLXN_365
            PIN D(15:0) DATA(31:16)
            PIN L XLXN_357
            PIN SLI Q0L(15)
            PIN Q(15:0) Q0H(15:0)
        END BLOCK
        BEGIN BLOCK XLXI_219 sr16cle
            PIN C SPI_CLKINV
            PIN CE SSDATN
            PIN CLR XLXN_365
            PIN D(15:0) DATA(15:0)
            PIN L XLXN_357
            PIN SLI
            PIN Q(15:0) Q0L(15:0)
        END BLOCK
    END NETLIST
    BEGIN SHEET 1 5440 3520
        INSTANCE XLXI_199 1168 1520 R0
        BEGIN BRANCH XLXN_284
            WIRE 1552 1264 1600 1264
        END BRANCH
        INSTANCE XLXI_200 1600 1296 R0
        BEGIN BRANCH SSDAT
            WIRE 768 1056 832 1056
            WIRE 832 1056 832 1488
            WIRE 832 1488 1168 1488
            WIRE 832 1056 880 1056
            WIRE 832 528 2144 528
            WIRE 832 528 832 1056
        END BRANCH
        IOMARKER 768 1056 SSDAT R180 28
        BEGIN BRANCH Q0H(15:0)
            WIRE 2432 1024 2528 1024
            BEGIN DISPLAY 2528 1024 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH SCLK
            WIRE 768 1392 880 1392
        END BRANCH
        INSTANCE XLXI_214 880 1424 R0
        IOMARKER 768 1392 SCLK R180 28
        INSTANCE XLXI_119 880 1088 R0
        BEGIN BRANCH SPI_CLKINV
            WIRE 1104 1392 1120 1392
            WIRE 1120 1392 1168 1392
            WIRE 1120 1392 1120 1520
            WIRE 1120 1520 1936 1520
            WIRE 1936 1520 2928 1520
            WIRE 1936 1280 2048 1280
            WIRE 1936 1280 1936 1520
            WIRE 2928 1280 2976 1280
            WIRE 2928 1280 2928 1520
        END BRANCH
        BEGIN BRANCH XLXN_357
            WIRE 1824 1264 1840 1264
            WIRE 1840 1264 1840 1424
            WIRE 1840 1424 2832 1424
            WIRE 1840 1088 2048 1088
            WIRE 1840 1088 1840 1264
            WIRE 2832 1088 2976 1088
            WIRE 2832 1088 2832 1424
        END BRANCH
        BEGIN BRANCH Q0H(15)
            WIRE 1840 464 2144 464
            BEGIN DISPLAY 1840 464 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH SSDATN
            WIRE 1104 1056 1152 1056
            WIRE 1152 1056 1152 1136
            WIRE 1152 1136 1152 1264
            WIRE 1152 1264 1168 1264
            WIRE 1152 1136 1680 1136
            WIRE 1680 1136 2000 1136
            WIRE 2000 1136 2000 1216
            WIRE 2000 1216 2048 1216
            WIRE 2000 1216 2000 1472
            WIRE 2000 1472 2880 1472
            WIRE 2880 1216 2976 1216
            WIRE 2880 1216 2880 1472
            BEGIN DISPLAY 1685 1136 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        IOMARKER 752 896 DATA(31:0) R180 28
        BEGIN BRANCH MISO
            WIRE 2400 496 3424 496
        END BRANCH
        INSTANCE XLXI_218 2048 1408 R0
        INSTANCE XLXI_219 2976 1408 R0
        BEGIN BRANCH DATA(31:0)
            WIRE 752 896 1632 896
        END BRANCH
        BEGIN BRANCH Q0L(15:0)
            WIRE 3360 1024 3472 1024
            BEGIN DISPLAY 3472 1024 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH XLXN_365
            WIRE 2048 1376 2048 1568
            WIRE 2048 1568 2048 1632
            WIRE 2048 1568 2976 1568
            WIRE 2976 1376 2976 1568
        END BRANCH
        BEGIN BRANCH Q0L(15)
            WIRE 1936 832 2048 832
            BEGIN DISPLAY 1936 832 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        INSTANCE XLXI_4 1984 1760 R0
        BEGIN BRANCH DATA(31:16)
            WIRE 1936 896 2048 896
            BEGIN DISPLAY 1936 896 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH DATA(15:0)
            WIRE 2864 896 2976 896
            BEGIN DISPLAY 2864 896 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        IOMARKER 3424 496 MISO R0 28
        INSTANCE XLXI_217 2144 592 R0
    END SHEET
END SCHEMATIC
