-- Synchroner Multiplexer mit Offset fr DAC

library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
use IEEE.STD_LOGIC_ARITH.ALL;
use IEEE.STD_LOGIC_UNSIGNED.ALL;

entity dac_mpxofs is
	port (
		takt: in std_logic;
		sel: in std_logic;
		dac_0 : in std_logic_vector ( 15 downto 0 );
		dac_1 : in std_logic_vector ( 15 downto 0 );
		dac_out : out std_logic_vector ( 15 downto 0 )
);
end entity dac_mpxofs;

architecture arch1 of dac_mpxofs is
begin

	process begin  
		wait until (takt'event and takt = '1');
		if sel = '1' then
			dac_out <= dac_1 xor x"8000";						-- Offset addieren fr DAC;
		else
			dac_out <= dac_0 xor x"8000";						-- Offset addieren fr DAC
		end if;
	end process;

end arch1;