-- Ausgabe erfolgt mit x8000 Offset fr DAC
library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
use IEEE.STD_LOGIC_ARITH.ALL;
use IEEE.STD_LOGIC_UNSIGNED.ALL;

entity dac_offset is
	port (
		takt: in std_logic;
		dac_wert : in std_logic_vector ( 15 downto 0 );
		dac_out : out std_logic_vector ( 15 downto 0 )
);
end entity dac_offset;

architecture arch1 of dac_offset is
begin

	process
	begin  
		wait until (takt'event and takt = '1');
	-- Absolutwerte + x"8000" fr DAC
		dac_out <= dac_wert xor x"8000";						-- Offset addieren fr DAC
	end process;

end arch1;