--------------------------------------------------------------------------------
-- Copyright (c) 1995-2008 Xilinx, Inc.  All rights reserved.
--------------------------------------------------------------------------------
--   ____  ____ 
--  /   /\/   / 
-- /___/  \  /    Vendor: Xilinx 
-- \   \   \/     Version : 10.1.03
--  \   \         Application : sch2vhdl
--  /   /         Filename : DDSDUAL_main.vhf
-- /___/   /\     Timestamp : 01/24/2009 19:48:03
-- \   \  /  \ 
--  \___\/\___\ 
--
--Command: D:\Xilinx\ISE\bin\nt\unwrapped\sch2vhdl.exe -intstyle ise -family spartan3 -flat -suppress -w "D:/Eigene Dateien/ct-DDSDUAL/source/DDSDUAL_main.sch" DDSDUAL_main.vhf
--Design Name: DDSDUAL_main
--Device: spartan3
--Purpose:
--    This vhdl netlist is translated from an ECS schematic. It can be 
--    synthesis and simulted, but it should not be modified. 
--

library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
library UNISIM;
use UNISIM.Vcomponents.ALL;

entity FTCE_MXILINX_DDSDUAL_main is
   port ( C   : in    std_logic; 
          CE  : in    std_logic; 
          CLR : in    std_logic; 
          T   : in    std_logic; 
          Q   : out   std_logic);
end FTCE_MXILINX_DDSDUAL_main;

architecture BEHAVIORAL of FTCE_MXILINX_DDSDUAL_main is
   attribute BOX_TYPE   : string ;
   attribute INIT       : string ;
   attribute RLOC       : string ;
   signal TQ      : std_logic;
   signal Q_DUMMY : std_logic;
   component XOR2
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of XOR2 : component is "BLACK_BOX";
   
   component FDCE
      -- synopsys translate_off
      generic( INIT : bit :=  '0');
      -- synopsys translate_on
      port ( C   : in    std_logic; 
             CE  : in    std_logic; 
             CLR : in    std_logic; 
             D   : in    std_logic; 
             Q   : out   std_logic);
   end component;
   attribute INIT of FDCE : component is "0";
   attribute BOX_TYPE of FDCE : component is "BLACK_BOX";
   
   attribute RLOC of I_36_35 : label is "X0Y0";
begin
   Q <= Q_DUMMY;
   I_36_32 : XOR2
      port map (I0=>T,
                I1=>Q_DUMMY,
                O=>TQ);
   
   I_36_35 : FDCE
      port map (C=>C,
                CE=>CE,
                CLR=>CLR,
                D=>TQ,
                Q=>Q_DUMMY);
   
end BEHAVIORAL;



library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
library UNISIM;
use UNISIM.Vcomponents.ALL;

entity CB2CE_MXILINX_DDSDUAL_main is
   port ( C   : in    std_logic; 
          CE  : in    std_logic; 
          CLR : in    std_logic; 
          CEO : out   std_logic; 
          Q0  : out   std_logic; 
          Q1  : out   std_logic; 
          TC  : out   std_logic);
end CB2CE_MXILINX_DDSDUAL_main;

architecture BEHAVIORAL of CB2CE_MXILINX_DDSDUAL_main is
   attribute HU_SET     : string ;
   attribute BOX_TYPE   : string ;
   signal XLXN_1   : std_logic;
   signal Q0_DUMMY : std_logic;
   signal Q1_DUMMY : std_logic;
   signal TC_DUMMY : std_logic;
   component FTCE_MXILINX_DDSDUAL_main
      port ( C   : in    std_logic; 
             CE  : in    std_logic; 
             CLR : in    std_logic; 
             T   : in    std_logic; 
             Q   : out   std_logic);
   end component;
   
   component AND2
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND2 : component is "BLACK_BOX";
   
   component VCC
      port ( P : out   std_logic);
   end component;
   attribute BOX_TYPE of VCC : component is "BLACK_BOX";
   
   attribute HU_SET of I_Q0 : label is "I_Q0_0";
   attribute HU_SET of I_Q1 : label is "I_Q1_1";
begin
   Q0 <= Q0_DUMMY;
   Q1 <= Q1_DUMMY;
   TC <= TC_DUMMY;
   I_Q0 : FTCE_MXILINX_DDSDUAL_main
      port map (C=>C,
                CE=>CE,
                CLR=>CLR,
                T=>XLXN_1,
                Q=>Q0_DUMMY);
   
   I_Q1 : FTCE_MXILINX_DDSDUAL_main
      port map (C=>C,
                CE=>CE,
                CLR=>CLR,
                T=>Q0_DUMMY,
                Q=>Q1_DUMMY);
   
   I_36_37 : AND2
      port map (I0=>Q1_DUMMY,
                I1=>Q0_DUMMY,
                O=>TC_DUMMY);
   
   I_36_47 : VCC
      port map (P=>XLXN_1);
   
   I_36_52 : AND2
      port map (I0=>CE,
                I1=>TC_DUMMY,
                O=>CEO);
   
end BEHAVIORAL;



library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
library UNISIM;
use UNISIM.Vcomponents.ALL;

entity M2_1E_MXILINX_DDSDUAL_main is
   port ( D0 : in    std_logic; 
          D1 : in    std_logic; 
          E  : in    std_logic; 
          S0 : in    std_logic; 
          O  : out   std_logic);
end M2_1E_MXILINX_DDSDUAL_main;

architecture BEHAVIORAL of M2_1E_MXILINX_DDSDUAL_main is
   attribute BOX_TYPE   : string ;
   signal M0 : std_logic;
   signal M1 : std_logic;
   component AND3
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             I2 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND3 : component is "BLACK_BOX";
   
   component AND3B1
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             I2 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND3B1 : component is "BLACK_BOX";
   
   component OR2
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of OR2 : component is "BLACK_BOX";
   
begin
   I_36_30 : AND3
      port map (I0=>D1,
                I1=>E,
                I2=>S0,
                O=>M1);
   
   I_36_31 : AND3B1
      port map (I0=>S0,
                I1=>E,
                I2=>D0,
                O=>M0);
   
   I_36_38 : OR2
      port map (I0=>M1,
                I1=>M0,
                O=>O);
   
end BEHAVIORAL;



library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
library UNISIM;
use UNISIM.Vcomponents.ALL;

entity M4_1E_MXILINX_DDSDUAL_main is
   port ( D0 : in    std_logic; 
          D1 : in    std_logic; 
          D2 : in    std_logic; 
          D3 : in    std_logic; 
          E  : in    std_logic; 
          S0 : in    std_logic; 
          S1 : in    std_logic; 
          O  : out   std_logic);
end M4_1E_MXILINX_DDSDUAL_main;

architecture BEHAVIORAL of M4_1E_MXILINX_DDSDUAL_main is
   attribute HU_SET     : string ;
   attribute BOX_TYPE   : string ;
   signal M01 : std_logic;
   signal M23 : std_logic;
   component M2_1E_MXILINX_DDSDUAL_main
      port ( D0 : in    std_logic; 
             D1 : in    std_logic; 
             E  : in    std_logic; 
             S0 : in    std_logic; 
             O  : out   std_logic);
   end component;
   
   component MUXF5
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             S  : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of MUXF5 : component is "BLACK_BOX";
   
   attribute HU_SET of I_M01 : label is "I_M01_3";
   attribute HU_SET of I_M23 : label is "I_M23_2";
begin
   I_M01 : M2_1E_MXILINX_DDSDUAL_main
      port map (D0=>D0,
                D1=>D1,
                E=>E,
                S0=>S0,
                O=>M01);
   
   I_M23 : M2_1E_MXILINX_DDSDUAL_main
      port map (D0=>D2,
                D1=>D3,
                E=>E,
                S0=>S0,
                O=>M23);
   
   I_O : MUXF5
      port map (I0=>M01,
                I1=>M23,
                S=>S1,
                O=>O);
   
end BEHAVIORAL;



library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
library UNISIM;
use UNISIM.Vcomponents.ALL;

entity DDSDUAL_main is
   port ( ClkAux  : in    std_logic; 
          ClkIn   : in    std_logic; 
          F_DS    : in    std_logic; 
          F_MOSI  : in    std_logic; 
          F_RS    : in    std_logic; 
          F_SCK   : in    std_logic; 
          DAC     : out   std_logic_vector (15 downto 0); 
          DAC_CLK : out   std_logic; 
          DAC_MPX : out   std_logic; 
          DAC_WR  : out   std_logic; 
          FP92    : out   std_logic; 
          F_MISO  : out   std_logic; 
          RAM_OE  : out   std_logic; 
          RAM_WR  : out   std_logic; 
          TestLED : out   std_logic);
end DDSDUAL_main;

architecture BEHAVIORAL of DDSDUAL_main is
   attribute BOX_TYPE              : string ;
   attribute CLK_FEEDBACK          : string ;
   attribute CLKDV_DIVIDE          : string ;
   attribute CLKFX_DIVIDE          : string ;
   attribute CLKIN_PERIOD          : string ;
   attribute CLKFX_MULTIPLY        : string ;
   attribute CLKIN_DIVIDE_BY_2     : string ;
   attribute CLKOUT_PHASE_SHIFT    : string ;
   attribute DESKEW_ADJUST         : string ;
   attribute DFS_FREQUENCY_MODE    : string ;
   attribute DLL_FREQUENCY_MODE    : string ;
   attribute DSS_MODE              : string ;
   attribute DUTY_CYCLE_CORRECTION : string ;
   attribute PHASE_SHIFT           : string ;
   attribute STARTUP_WAIT          : string ;
   attribute IOSTANDARD            : string ;
   attribute HU_SET                : string ;
   signal ClkIntern                    : std_logic;
   signal CONFIG                       : std_logic_vector (31 downto 0);
   signal LEVEL                        : std_logic_vector (31 downto 0);
   signal MODULATION                   : std_logic_vector (31 downto 0);
   signal XLXN_306                     : std_logic_vector (31 downto 0);
   signal XLXN_375                     : std_logic;
   signal XLXN_456                     : std_logic;
   signal XLXN_462                     : std_logic;
   signal XLXN_491                     : std_logic_vector (31 downto 0);
   signal XLXN_495                     : std_logic_vector (15 downto 0);
   signal XLXN_498                     : std_logic_vector (31 downto 0);
   signal XLXN_517                     : std_logic;
   signal XLXN_527                     : std_logic;
   signal XLXN_568                     : std_logic;
   signal XLXN_633                     : std_logic;
   signal XLXN_649                     : std_logic;
   signal XLXN_655                     : std_logic_vector (15 downto 0);
   signal XLXN_681                     : std_logic_vector (3 downto 0);
   signal XLXN_690                     : std_logic;
   signal XLXN_691                     : std_logic;
   signal XLXN_702                     : std_logic;
   signal XLXN_724                     : std_logic_vector (15 downto 0);
   signal XLXN_727                     : std_logic_vector (31 downto 0);
   signal XLXN_731                     : std_logic_vector (15 downto 0);
   signal XLXI_222_CLKFB_openSignal    : std_logic;
   signal XLXI_222_DSSEN_openSignal    : std_logic;
   signal XLXI_222_PSCLK_openSignal    : std_logic;
   signal XLXI_222_PSEN_openSignal     : std_logic;
   signal XLXI_222_PSINCDEC_openSignal : std_logic;
   signal XLXI_274_CLR_openSignal      : std_logic;
   signal XLXI_291_D0_openSignal       : std_logic_vector (31 downto 0);
   signal XLXI_291_D1_openSignal       : std_logic_vector (31 downto 0);
   signal XLXI_291_D2_openSignal       : std_logic_vector (31 downto 0);
   signal XLXI_295_CLKFB_openSignal    : std_logic;
   signal XLXI_295_DSSEN_openSignal    : std_logic;
   signal XLXI_295_PSCLK_openSignal    : std_logic;
   signal XLXI_295_PSEN_openSignal     : std_logic;
   signal XLXI_295_PSINCDEC_openSignal : std_logic;
   component BUF
      port ( I : in    std_logic; 
             O : out   std_logic);
   end component;
   attribute BOX_TYPE of BUF : component is "BLACK_BOX";
   
   component VCC
      port ( P : out   std_logic);
   end component;
   attribute BOX_TYPE of VCC : component is "BLACK_BOX";
   
   component DCM
      -- synopsys translate_off
      generic( CLK_FEEDBACK : string :=  "1X";
               CLKDV_DIVIDE : real :=  2.0;
               CLKFX_DIVIDE : integer :=  1;
               CLKIN_PERIOD : real :=  10.0;
               CLKFX_MULTIPLY : integer :=  4;
               CLKIN_DIVIDE_BY_2 : boolean :=  FALSE;
               CLKOUT_PHASE_SHIFT : string :=  "NONE";
               DESKEW_ADJUST : string :=  "SYSTEM_SYNCHRONOUS";
               DFS_FREQUENCY_MODE : string :=  "LOW";
               DLL_FREQUENCY_MODE : string :=  "LOW";
               DSS_MODE : string :=  "NONE";
               DUTY_CYCLE_CORRECTION : boolean :=  TRUE;
               PHASE_SHIFT : integer :=  0;
               STARTUP_WAIT : boolean :=  FALSE);
      -- synopsys translate_on
      port ( CLKFB    : in    std_logic; 
             CLKIN    : in    std_logic; 
             DSSEN    : in    std_logic; 
             PSCLK    : in    std_logic; 
             PSEN     : in    std_logic; 
             PSINCDEC : in    std_logic; 
             RST      : in    std_logic; 
             CLK0     : out   std_logic; 
             CLK180   : out   std_logic; 
             CLK270   : out   std_logic; 
             CLK2X    : out   std_logic; 
             CLK2X180 : out   std_logic; 
             CLK90    : out   std_logic; 
             CLKDV    : out   std_logic; 
             CLKFX    : out   std_logic; 
             CLKFX180 : out   std_logic; 
             LOCKED   : out   std_logic; 
             PSDONE   : out   std_logic; 
             STATUS   : out   std_logic_vector (7 downto 0));
   end component;
   attribute CLK_FEEDBACK of DCM : component is "1X";
   attribute CLKDV_DIVIDE of DCM : component is "2.0";
   attribute CLKFX_DIVIDE of DCM : component is "1";
   attribute CLKIN_PERIOD of DCM : component is "10.0";
   attribute CLKFX_MULTIPLY of DCM : component is "4";
   attribute CLKIN_DIVIDE_BY_2 of DCM : component is "FALSE";
   attribute CLKOUT_PHASE_SHIFT of DCM : component is "NONE";
   attribute DESKEW_ADJUST of DCM : component is "SYSTEM_SYNCHRONOUS";
   attribute DFS_FREQUENCY_MODE of DCM : component is "LOW";
   attribute DLL_FREQUENCY_MODE of DCM : component is "LOW";
   attribute DSS_MODE of DCM : component is "NONE";
   attribute DUTY_CYCLE_CORRECTION of DCM : component is "TRUE";
   attribute PHASE_SHIFT of DCM : component is "0";
   attribute STARTUP_WAIT of DCM : component is "FALSE";
   attribute BOX_TYPE of DCM : component is "BLACK_BOX";
   
   component BUFG
      port ( I : in    std_logic; 
             O : out   std_logic);
   end component;
   attribute BOX_TYPE of BUFG : component is "BLACK_BOX";
   
   component IBUFG
      port ( I : in    std_logic; 
             O : out   std_logic);
   end component;
   attribute IOSTANDARD of IBUFG : component is "DEFAULT";
   attribute BOX_TYPE of IBUFG : component is "BLACK_BOX";
   
   component GND
      port ( G : out   std_logic);
   end component;
   attribute BOX_TYPE of GND : component is "BLACK_BOX";
   
   component INV
      port ( I : in    std_logic; 
             O : out   std_logic);
   end component;
   attribute BOX_TYPE of INV : component is "BLACK_BOX";
   
   component M4_1E_MXILINX_DDSDUAL_main
      port ( D0 : in    std_logic; 
             D1 : in    std_logic; 
             D2 : in    std_logic; 
             D3 : in    std_logic; 
             E  : in    std_logic; 
             S0 : in    std_logic; 
             S1 : in    std_logic; 
             O  : out   std_logic);
   end component;
   
   component CB2CE_MXILINX_DDSDUAL_main
      port ( C   : in    std_logic; 
             CE  : in    std_logic; 
             CLR : in    std_logic; 
             CEO : out   std_logic; 
             Q0  : out   std_logic; 
             Q1  : out   std_logic; 
             TC  : out   std_logic);
   end component;
   
   component dac_mpxofs
      port ( takt    : in    std_logic; 
             sel     : in    std_logic; 
             dac_0   : in    std_logic_vector (15 downto 0); 
             dac_1   : in    std_logic_vector (15 downto 0); 
             dac_out : out   std_logic_vector (15 downto 0));
   end component;
   
   component function_generator
      port ( takt      : in    std_logic; 
             wave      : in    std_logic_vector (1 downto 0); 
             d_phase   : in    std_logic_vector (31 downto 0); 
             dac_pegel : in    std_logic_vector (15 downto 0); 
             dac_wert  : out   std_logic_vector (15 downto 0));
   end component;
   
   component SPI_Ports
      port ( F_RS    : in    std_logic; 
             F_DS    : in    std_logic; 
             BASEADR : in    std_logic_vector (3 downto 0); 
             F_MOSI  : in    std_logic; 
             F_SCLK  : in    std_logic; 
             D1      : in    std_logic_vector (31 downto 0); 
             F_MISO  : out   std_logic; 
             D0      : in    std_logic_vector (31 downto 0); 
             DCLK    : in    std_logic; 
             Q2      : out   std_logic_vector (31 downto 0); 
             Q3      : out   std_logic_vector (31 downto 0); 
             Q0      : out   std_logic_vector (31 downto 0); 
             Q1      : out   std_logic_vector (31 downto 0); 
             E0      : out   std_logic; 
             Q6      : out   std_logic_vector (31 downto 0); 
             Q7      : out   std_logic_vector (31 downto 0); 
             Q4      : out   std_logic_vector (31 downto 0); 
             Q5      : out   std_logic_vector (31 downto 0); 
             E1      : out   std_logic; 
             E2      : out   std_logic; 
             E3      : out   std_logic; 
             E4      : out   std_logic; 
             E5      : out   std_logic; 
             E6      : out   std_logic; 
             E7      : out   std_logic; 
             D2      : in    std_logic_vector (31 downto 0); 
             D3      : in    std_logic_vector (31 downto 0));
   end component;
   
   component sinus_generator
      port ( takt      : in    std_logic; 
             dac_wert  : out   std_logic_vector (15 downto 0); 
             d_phase   : in    std_logic_vector (31 downto 0); 
             dac_pegel : in    std_logic_vector (15 downto 0));
   end component;
   
   component dac_adder
      port ( takt    : in    std_logic; 
             dac_a   : in    std_logic_vector (15 downto 0); 
             dac_b   : in    std_logic_vector (15 downto 0); 
             dac_out : out   std_logic_vector (15 downto 0));
   end component;
   
   attribute CLKFX_MULTIPLY of XLXI_222 : label is "16";
   attribute CLK_FEEDBACK of XLXI_222 : label is "NONE";
   attribute CLKIN_PERIOD of XLXI_222 : label is "238.0";
   attribute HU_SET of XLXI_268 : label is "XLXI_268_4";
   attribute HU_SET of XLXI_274 : label is "XLXI_274_5";
   attribute CLKFX_MULTIPLY of XLXI_295 : label is "2";
   attribute CLK_FEEDBACK of XLXI_295 : label is "NONE";
   attribute CLKIN_PERIOD of XLXI_295 : label is "20.0";
begin
   XLXN_306(31 downto 0) <= x"23012009";
   XLXN_681(3 downto 0) <= x"0";
   XLXI_186 : BUF
      port map (I=>XLXN_456,
                O=>TestLED);
   
   XLXI_215 : VCC
      port map (P=>RAM_OE);
   
   XLXI_216 : VCC
      port map (P=>RAM_WR);
   
   XLXI_218 : BUF
      port map (I=>XLXN_702,
                O=>DAC_WR);
   
   XLXI_222 : DCM
   -- synopsys translate_off
   generic map( CLKFX_MULTIPLY => 16,
            CLK_FEEDBACK => "NONE",
            CLKFX_DIVIDE => 1,
            CLKDV_DIVIDE => 2.0,
            CLKIN_PERIOD => 238.0)
   -- synopsys translate_on
      port map (CLKFB=>XLXI_222_CLKFB_openSignal,
                CLKIN=>ClkAux,
                DSSEN=>XLXI_222_DSSEN_openSignal,
                PSCLK=>XLXI_222_PSCLK_openSignal,
                PSEN=>XLXI_222_PSEN_openSignal,
                PSINCDEC=>XLXI_222_PSINCDEC_openSignal,
                RST=>XLXN_375,
                CLKDV=>open,
                CLKFX=>XLXN_568,
                CLKFX180=>open,
                CLK0=>open,
                CLK2X=>open,
                CLK2X180=>open,
                CLK90=>open,
                CLK180=>open,
                CLK270=>open,
                LOCKED=>XLXN_462,
                PSDONE=>open,
                STATUS=>open);
   
   XLXI_223 : BUFG
      port map (I=>XLXN_517,
                O=>ClkIntern);
   
   XLXI_225 : IBUFG
      port map (I=>ClkIn,
                O=>XLXN_691);
   
   XLXI_226 : GND
      port map (G=>XLXN_375);
   
   XLXI_228 : BUF
      port map (I=>XLXN_633,
                O=>DAC_MPX);
   
   XLXI_238 : INV
      port map (I=>XLXN_462,
                O=>XLXN_456);
   
   XLXI_264 : BUF
      port map (I=>XLXN_633,
                O=>DAC_CLK);
   
   XLXI_268 : M4_1E_MXILINX_DDSDUAL_main
      port map (D0=>XLXN_691,
                D1=>ClkAux,
                D2=>XLXN_568,
                D3=>XLXN_690,
                E=>XLXN_527,
                S0=>CONFIG(0),
                S1=>CONFIG(1),
                O=>XLXN_517);
   
   XLXI_269 : VCC
      port map (P=>XLXN_527);
   
   XLXI_274 : CB2CE_MXILINX_DDSDUAL_main
      port map (C=>ClkIntern,
                CE=>XLXN_527,
                CLR=>XLXI_274_CLR_openSignal,
                CEO=>open,
                Q0=>XLXN_649,
                Q1=>XLXN_633,
                TC=>open);
   
   XLXI_285 : dac_mpxofs
      port map (dac_0(15 downto 0)=>XLXN_495(15 downto 0),
                dac_1(15 downto 0)=>XLXN_655(15 downto 0),
                sel=>XLXN_633,
                takt=>ClkIntern,
                dac_out(15 downto 0)=>DAC(15 downto 0));
   
   XLXI_286 : INV
      port map (I=>XLXN_649,
                O=>XLXN_702);
   
   XLXI_287 : VCC
      port map (P=>FP92);
   
   XLXI_289 : function_generator
      port map (dac_pegel(15 downto 0)=>LEVEL(15 downto 0),
                d_phase(31 downto 0)=>XLXN_491(31 downto 0),
                takt=>ClkIntern,
                wave(1 downto 0)=>CONFIG(9 downto 8),
                dac_wert(15 downto 0)=>XLXN_655(15 downto 0));
   
   XLXI_290 : function_generator
      port map (dac_pegel(15 downto 0)=>XLXN_731(15 downto 0),
                d_phase(31 downto 0)=>XLXN_498(31 downto 0),
                takt=>ClkIntern,
                wave(1 downto 0)=>CONFIG(17 downto 16),
                dac_wert(15 downto 0)=>XLXN_495(15 downto 0));
   
   XLXI_291 : SPI_Ports
      port map (BASEADR(3 downto 0)=>XLXN_681(3 downto 0),
                DCLK=>XLXN_691,
                D0(31 downto 0)=>XLXI_291_D0_openSignal(31 downto 0),
                D1(31 downto 0)=>XLXI_291_D1_openSignal(31 downto 0),
                D2(31 downto 0)=>XLXI_291_D2_openSignal(31 downto 0),
                D3(31 downto 0)=>XLXN_306(31 downto 0),
                F_DS=>F_DS,
                F_MOSI=>F_MOSI,
                F_RS=>F_RS,
                F_SCLK=>F_SCK,
                E0=>open,
                E1=>open,
                E2=>open,
                E3=>open,
                E4=>open,
                E5=>open,
                E6=>open,
                E7=>open,
                F_MISO=>F_MISO,
                Q0(31 downto 0)=>XLXN_491(31 downto 0),
                Q1(31 downto 0)=>LEVEL(31 downto 0),
                Q2(31 downto 0)=>XLXN_498(31 downto 0),
                Q3(31 downto 0)=>CONFIG(31 downto 0),
                Q4(31 downto 0)=>XLXN_727(31 downto 0),
                Q5(31 downto 0)=>MODULATION(31 downto 0),
                Q6=>open,
                Q7=>open);
   
   XLXI_295 : DCM
   -- synopsys translate_off
   generic map( CLKFX_MULTIPLY => 2,
            CLK_FEEDBACK => "NONE",
            CLKFX_DIVIDE => 1,
            CLKDV_DIVIDE => 2.0,
            CLKIN_PERIOD => 20.0)
   -- synopsys translate_on
      port map (CLKFB=>XLXI_295_CLKFB_openSignal,
                CLKIN=>XLXN_691,
                DSSEN=>XLXI_295_DSSEN_openSignal,
                PSCLK=>XLXI_295_PSCLK_openSignal,
                PSEN=>XLXI_295_PSEN_openSignal,
                PSINCDEC=>XLXI_295_PSINCDEC_openSignal,
                RST=>XLXN_375,
                CLKDV=>open,
                CLKFX=>XLXN_690,
                CLKFX180=>open,
                CLK0=>open,
                CLK2X=>open,
                CLK2X180=>open,
                CLK90=>open,
                CLK180=>open,
                CLK270=>open,
                LOCKED=>open,
                PSDONE=>open,
                STATUS=>open);
   
   XLXI_306 : sinus_generator
      port map (dac_pegel(15 downto 0)=>MODULATION(15 downto 0),
                d_phase(31 downto 0)=>XLXN_727(31 downto 0),
                takt=>ClkIntern,
                dac_wert(15 downto 0)=>XLXN_724(15 downto 0));
   
   XLXI_307 : dac_adder
      port map (dac_a(15 downto 0)=>XLXN_724(15 downto 0),
                dac_b(15 downto 0)=>LEVEL(31 downto 16),
                takt=>ClkIntern,
                dac_out(15 downto 0)=>XLXN_731(15 downto 0));
   
end BEHAVIORAL;


