VERSION 6
BEGIN SCHEMATIC
    BEGIN ATTR DeviceFamilyName "spartan3"
        DELETE all:0
        EDITNAME all:0
        EDITTRAIT all:0
    END ATTR
    BEGIN NETLIST
        SIGNAL F_RS
        SIGNAL F_DS
        SIGNAL BASEADR(3:0)
        SIGNAL F_MOSI
        SIGNAL F_SCLK
        SIGNAL Q2(31:0)
        SIGNAL Q3(31:0)
        SIGNAL F_MISO
        SIGNAL Q0(31:0)
        SIGNAL Q1(31:0)
        SIGNAL D2(31:0)
        SIGNAL D3(31:0)
        SIGNAL XLXN_804
        SIGNAL XLXN_805
        SIGNAL XLXN_806
        SIGNAL XLXN_807
        SIGNAL XLXN_815
        SIGNAL XLXN_816
        SIGNAL XLXN_817
        SIGNAL XLXN_819
        SIGNAL XLXN_821
        SIGNAL D1(31:0)
        SIGNAL D0(31:0)
        SIGNAL E0
        SIGNAL Q6(31:0)
        SIGNAL Q7(31:0)
        SIGNAL Q4(31:0)
        SIGNAL Q5(31:0)
        SIGNAL XLXN_848
        SIGNAL XLXN_851
        SIGNAL XLXN_852
        SIGNAL XLXN_853
        SIGNAL XLXN_717
        SIGNAL XLXN_854
        SIGNAL XLXN_855
        SIGNAL XLXN_856
        SIGNAL XLXN_857
        SIGNAL XLXN_858
        SIGNAL XLXN_859
        SIGNAL XLXN_860
        SIGNAL XLXN_861
        SIGNAL DCLK
        SIGNAL XLXN_864
        SIGNAL XLXN_827
        SIGNAL XLXN_868
        SIGNAL XLXN_828
        SIGNAL E1
        SIGNAL XLXN_829
        SIGNAL E2
        SIGNAL XLXN_830
        SIGNAL E3
        SIGNAL E4
        SIGNAL XLXN_839
        SIGNAL XLXN_840
        SIGNAL E5
        SIGNAL XLXN_841
        SIGNAL E6
        SIGNAL XLXN_842
        SIGNAL E7
        PORT Input F_RS
        PORT Input F_DS
        PORT Input BASEADR(3:0)
        PORT Input F_MOSI
        PORT Input F_SCLK
        PORT Output Q2(31:0)
        PORT Output Q3(31:0)
        PORT Output F_MISO
        PORT Output Q0(31:0)
        PORT Output Q1(31:0)
        PORT Input D2(31:0)
        PORT Input D3(31:0)
        PORT Input D1(31:0)
        PORT Input D0(31:0)
        PORT Output E0
        PORT Output Q6(31:0)
        PORT Output Q7(31:0)
        PORT Output Q4(31:0)
        PORT Output Q5(31:0)
        PORT Input DCLK
        PORT Output E1
        PORT Output E2
        PORT Output E3
        PORT Output E4
        PORT Output E5
        PORT Output E6
        PORT Output E7
        BEGIN BLOCKDEF SPI_dec8
            TIMESTAMP 2008 12 9 20 2 58
            RECTANGLE N 0 -12 64 12 
            LINE N 64 0 0 0 
            LINE N 64 -448 0 -448 
            LINE N 64 -384 0 -384 
            LINE N 64 -320 0 -320 
            LINE N 64 -256 0 -256 
            RECTANGLE N 64 -480 384 96 
            LINE N 384 -448 448 -448 
            LINE N 384 64 448 64 
            LINE N 384 -384 448 -384 
            LINE N 384 -320 448 -320 
            LINE N 384 0 448 0 
            LINE N 384 -64 448 -64 
            LINE N 384 -256 448 -256 
            LINE N 384 -192 448 -192 
            LINE N 384 -128 448 -128 
        END BLOCKDEF
        BEGIN BLOCKDEF SPI_out32
            TIMESTAMP 2008 12 9 20 8 46
            RECTANGLE N 64 -192 320 0 
            RECTANGLE N 0 -44 64 -20 
            LINE N 64 -32 0 -32 
            LINE N 320 -160 384 -160 
            LINE N 64 -96 0 -96 
            LINE N 64 -160 0 -160 
        END BLOCKDEF
        BEGIN BLOCKDEF obuft
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 0 -96 64 -96 
            LINE N 96 -96 64 -96 
            LINE N 96 -48 96 -96 
            LINE N 224 -32 128 -32 
            LINE N 0 -32 64 -32 
            LINE N 64 -64 64 0 
            LINE N 128 -32 64 -64 
            LINE N 64 0 128 -32 
        END BLOCKDEF
        BEGIN BLOCKDEF SPI_in32
            TIMESTAMP 2008 12 10 7 20 35
            RECTANGLE N 320 -44 384 -20 
            LINE N 320 -32 384 -32 
            RECTANGLE N 64 -192 320 -16 
            LINE N 64 -176 0 -176 
            LINE N 64 -128 0 -128 
            LINE N 64 -80 0 -80 
            LINE N 64 -32 0 -32 
            RECTANGLE N 320 -92 384 -68 
            LINE N 320 -80 384 -80 
            LINE N 320 -128 384 -128 
        END BLOCKDEF
        BEGIN BLOCKDEF inv
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 0 -32 64 -32 
            LINE N 224 -32 160 -32 
            LINE N 64 -64 128 -32 
            LINE N 128 -32 64 0 
            LINE N 64 0 64 -64 
            CIRCLE N 128 -48 160 -16 
        END BLOCKDEF
        BEGIN BLOCKDEF or4
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 0 -64 48 -64 
            LINE N 0 -128 64 -128 
            LINE N 0 -192 64 -192 
            LINE N 0 -256 48 -256 
            LINE N 256 -160 192 -160 
            ARC N 28 -208 204 -32 192 -160 112 -208 
            LINE N 112 -208 48 -208 
            LINE N 112 -112 48 -112 
            LINE N 48 -256 48 -208 
            LINE N 48 -64 48 -112 
            ARC N -40 -216 72 -104 48 -112 48 -208 
            ARC N 28 -288 204 -112 112 -112 192 -160 
        END BLOCKDEF
        BEGIN BLOCK XLXI_194 SPI_dec8
            PIN BASEADR(3:0) BASEADR(3:0)
            PIN SSREG F_RS
            PIN MOSI F_MOSI
            PIN SCLK F_SCLK
            PIN SSDAT F_DS
            PIN MISO_TRIS XLXN_717
            PIN SSDAT_0 XLXN_861
            PIN SSDAT_7 XLXN_854
            PIN SSDAT_6 XLXN_855
            PIN SSDAT_1 XLXN_860
            PIN SSDAT_2 XLXN_859
            PIN SSDAT_5 XLXN_856
            PIN SSDAT_4 XLXN_857
            PIN SSDAT_3 XLXN_858
        END BLOCK
        BEGIN BLOCK XLXI_299 SPI_in32
            PIN DQ(31:0) Q2(31:0)
            PIN MOSI F_MOSI
            PIN SCLK F_SCLK
            PIN SSDAT XLXN_859
            PIN DCLK DCLK
            PIN DS(31:0)
            PIN DSREADY XLXN_829
        END BLOCK
        BEGIN BLOCK XLXI_301 SPI_in32
            PIN DQ(31:0) Q3(31:0)
            PIN MOSI F_MOSI
            PIN SCLK F_SCLK
            PIN SSDAT XLXN_858
            PIN DCLK DCLK
            PIN DS(31:0)
            PIN DSREADY XLXN_830
        END BLOCK
        BEGIN BLOCK XLXI_248 obuft
            PIN I XLXN_821
            PIN T XLXN_717
            PIN O F_MISO
        END BLOCK
        BEGIN BLOCK XLXI_298 SPI_in32
            PIN DQ(31:0) Q0(31:0)
            PIN MOSI F_MOSI
            PIN SCLK F_SCLK
            PIN SSDAT XLXN_861
            PIN DCLK DCLK
            PIN DS(31:0)
            PIN DSREADY XLXN_868
        END BLOCK
        BEGIN BLOCK XLXI_306 SPI_in32
            PIN DQ(31:0) Q1(31:0)
            PIN MOSI F_MOSI
            PIN SCLK F_SCLK
            PIN SSDAT XLXN_860
            PIN DCLK DCLK
            PIN DS(31:0)
            PIN DSREADY XLXN_828
        END BLOCK
        BEGIN BLOCK XLXI_309 SPI_out32
            PIN DATA(31:0) D3(31:0)
            PIN MISO XLXN_815
            PIN SSDAT XLXN_858
            PIN SCLK F_SCLK
        END BLOCK
        BEGIN BLOCK XLXI_310 SPI_out32
            PIN DATA(31:0) D2(31:0)
            PIN MISO XLXN_816
            PIN SSDAT XLXN_859
            PIN SCLK F_SCLK
        END BLOCK
        BEGIN BLOCK XLXI_311 SPI_out32
            PIN DATA(31:0) D1(31:0)
            PIN MISO XLXN_817
            PIN SSDAT XLXN_860
            PIN SCLK F_SCLK
        END BLOCK
        BEGIN BLOCK XLXI_312 SPI_out32
            PIN DATA(31:0) D0(31:0)
            PIN MISO XLXN_819
            PIN SSDAT XLXN_861
            PIN SCLK F_SCLK
        END BLOCK
        BEGIN BLOCK XLXI_313 or4
            PIN I0 XLXN_819
            PIN I1 XLXN_817
            PIN I2 XLXN_816
            PIN I3 XLXN_815
            PIN O XLXN_821
        END BLOCK
        BEGIN BLOCK XLXI_305 inv
            PIN I XLXN_868
            PIN O E0
        END BLOCK
        BEGIN BLOCK XLXI_320 SPI_in32
            PIN DQ(31:0) Q6(31:0)
            PIN MOSI F_MOSI
            PIN SCLK F_SCLK
            PIN SSDAT XLXN_855
            PIN DCLK DCLK
            PIN DS(31:0)
            PIN DSREADY XLXN_841
        END BLOCK
        BEGIN BLOCK XLXI_321 SPI_in32
            PIN DQ(31:0) Q7(31:0)
            PIN MOSI F_MOSI
            PIN SCLK F_SCLK
            PIN SSDAT XLXN_854
            PIN DCLK DCLK
            PIN DS(31:0)
            PIN DSREADY XLXN_842
        END BLOCK
        BEGIN BLOCK XLXI_322 SPI_in32
            PIN DQ(31:0) Q4(31:0)
            PIN MOSI F_MOSI
            PIN SCLK F_SCLK
            PIN SSDAT XLXN_857
            PIN DCLK DCLK
            PIN DS(31:0)
            PIN DSREADY XLXN_839
        END BLOCK
        BEGIN BLOCK XLXI_323 SPI_in32
            PIN DQ(31:0) Q5(31:0)
            PIN MOSI F_MOSI
            PIN SCLK F_SCLK
            PIN SSDAT XLXN_856
            PIN DCLK DCLK
            PIN DS(31:0)
            PIN DSREADY XLXN_840
        END BLOCK
        BEGIN BLOCK XLXI_317 inv
            PIN I XLXN_828
            PIN O E1
        END BLOCK
        BEGIN BLOCK XLXI_318 inv
            PIN I XLXN_829
            PIN O E2
        END BLOCK
        BEGIN BLOCK XLXI_319 inv
            PIN I XLXN_830
            PIN O E3
        END BLOCK
        BEGIN BLOCK XLXI_324 inv
            PIN I XLXN_839
            PIN O E4
        END BLOCK
        BEGIN BLOCK XLXI_325 inv
            PIN I XLXN_840
            PIN O E5
        END BLOCK
        BEGIN BLOCK XLXI_326 inv
            PIN I XLXN_841
            PIN O E6
        END BLOCK
        BEGIN BLOCK XLXI_327 inv
            PIN I XLXN_842
            PIN O E7
        END BLOCK
    END NETLIST
    BEGIN SHEET 1 3520 2720
        BEGIN BRANCH F_RS
            WIRE 768 1424 896 1424
        END BRANCH
        BEGIN BRANCH F_DS
            WIRE 768 1360 896 1360
        END BRANCH
        BEGIN BRANCH BASEADR(3:0)
            WIRE 784 1680 896 1680
        END BRANCH
        BEGIN BRANCH F_MOSI
            WIRE 768 1232 832 1232
            WIRE 832 1232 896 1232
            WIRE 832 1024 1632 1024
            WIRE 1632 1024 1776 1024
            WIRE 1632 1024 1632 1216
            WIRE 1632 1216 1776 1216
            WIRE 1632 1216 1632 1408
            WIRE 1632 1408 1776 1408
            WIRE 832 1024 832 1232
            WIRE 1632 64 1776 64
            WIRE 1632 64 1632 256
            WIRE 1632 256 1776 256
            WIRE 1632 256 1632 448
            WIRE 1632 448 1776 448
            WIRE 1632 448 1632 640
            WIRE 1632 640 1776 640
            WIRE 1632 640 1632 832
            WIRE 1632 832 1776 832
            WIRE 1632 832 1632 1024
        END BRANCH
        IOMARKER 768 1424 F_RS R180 24
        IOMARKER 768 1360 F_DS R180 24
        IOMARKER 768 1232 F_MOSI R180 24
        IOMARKER 768 1296 F_SCLK R180 24
        IOMARKER 784 1680 BASEADR(3:0) R180 28
        BEGIN INSTANCE XLXI_299 1776 1200 R0
        END INSTANCE
        BEGIN INSTANCE XLXI_301 1776 1008 R0
        END INSTANCE
        BEGIN BRANCH Q2(31:0)
            WIRE 2160 1168 2560 1168
        END BRANCH
        BEGIN BRANCH Q3(31:0)
            WIRE 2160 976 2560 976
        END BRANCH
        BEGIN BRANCH F_MISO
            WIRE 768 944 896 944
        END BRANCH
        IOMARKER 2560 1168 Q2(31:0) R0 28
        IOMARKER 2560 976 Q3(31:0) R0 28
        BEGIN INSTANCE XLXI_194 896 1680 R0
        END INSTANCE
        INSTANCE XLXI_248 1120 976 M0
        IOMARKER 768 944 F_MISO R180 24
        BEGIN BRANCH Q0(31:0)
            WIRE 2160 1552 2544 1552
            WIRE 2544 1552 2560 1552
        END BRANCH
        BEGIN BRANCH Q1(31:0)
            WIRE 2160 1360 2560 1360
        END BRANCH
        BEGIN INSTANCE XLXI_298 1776 1584 R0
        END INSTANCE
        BEGIN INSTANCE XLXI_306 1776 1392 R0
        END INSTANCE
        IOMARKER 2560 1552 Q0(31:0) R0 28
        IOMARKER 2560 1360 Q1(31:0) R0 28
        BEGIN INSTANCE XLXI_309 1776 1984 R0
        END INSTANCE
        BEGIN INSTANCE XLXI_310 1776 2176 R0
        END INSTANCE
        BEGIN INSTANCE XLXI_311 1776 2368 R0
        END INSTANCE
        BEGIN INSTANCE XLXI_312 1776 2560 R0
        END INSTANCE
        BEGIN BRANCH D2(31:0)
            WIRE 784 2144 1776 2144
        END BRANCH
        IOMARKER 784 2144 D2(31:0) R180 28
        BEGIN BRANCH D3(31:0)
            WIRE 784 1952 1776 1952
        END BRANCH
        IOMARKER 784 1952 D3(31:0) R180 28
        INSTANCE XLXI_313 2320 2080 R0
        BEGIN BRANCH XLXN_815
            WIRE 2160 1824 2320 1824
        END BRANCH
        BEGIN BRANCH XLXN_816
            WIRE 2160 2016 2256 2016
            WIRE 2256 1888 2320 1888
            WIRE 2256 1888 2256 2016
        END BRANCH
        BEGIN BRANCH XLXN_817
            WIRE 2160 2208 2288 2208
            WIRE 2288 1952 2320 1952
            WIRE 2288 1952 2288 2208
        END BRANCH
        BEGIN BRANCH XLXN_819
            WIRE 2160 2400 2320 2400
            WIRE 2320 2016 2320 2400
        END BRANCH
        BEGIN BRANCH XLXN_821
            WIRE 1120 944 1168 944
            WIRE 1168 16 2864 16
            WIRE 2864 16 2864 1920
            WIRE 1168 16 1168 944
            WIRE 2576 1920 2864 1920
        END BRANCH
        BEGIN BRANCH D1(31:0)
            WIRE 784 2336 1776 2336
        END BRANCH
        BEGIN BRANCH D0(31:0)
            WIRE 784 2528 1776 2528
        END BRANCH
        IOMARKER 784 2336 D1(31:0) R180 28
        IOMARKER 784 2528 D0(31:0) R180 28
        BEGIN BRANCH E0
            WIRE 2432 1456 2448 1456
            WIRE 2448 1456 2560 1456
        END BRANCH
        BEGIN BRANCH Q6(31:0)
            WIRE 2160 400 2560 400
        END BRANCH
        BEGIN BRANCH Q7(31:0)
            WIRE 2160 208 2560 208
        END BRANCH
        BEGIN BRANCH Q4(31:0)
            WIRE 2160 784 2560 784
        END BRANCH
        BEGIN BRANCH Q5(31:0)
            WIRE 2160 592 2560 592
        END BRANCH
        BEGIN INSTANCE XLXI_320 1776 432 R0
        END INSTANCE
        BEGIN INSTANCE XLXI_321 1776 240 R0
        END INSTANCE
        BEGIN INSTANCE XLXI_322 1776 816 R0
        END INSTANCE
        BEGIN INSTANCE XLXI_323 1776 624 R0
        END INSTANCE
        IOMARKER 2560 400 Q6(31:0) R0 28
        IOMARKER 2560 208 Q7(31:0) R0 28
        IOMARKER 2560 784 Q4(31:0) R0 28
        IOMARKER 2560 592 Q5(31:0) R0 28
        BEGIN DISPLAY 2296 1632 TEXT "Qn valid with falling edge of En"
            FONT 32 "Arial"
        END DISPLAY
        BEGIN DISPLAY 2296 1672 TEXT "En high while SPI transfer"
            FONT 32 "Arial"
        END DISPLAY
        BEGIN DISPLAY 2292 1716 TEXT "DS non-latched outputs"
            FONT 32 "Arial"
        END DISPLAY
        BEGIN BRANCH XLXN_717
            WIRE 1120 880 1376 880
            WIRE 1376 880 1376 1232
            WIRE 1344 1232 1376 1232
        END BRANCH
        BEGIN BRANCH F_SCLK
            WIRE 768 1296 832 1296
            WIRE 832 1296 896 1296
            WIRE 832 1296 832 1824
            WIRE 832 1824 1680 1824
            WIRE 1680 1824 1776 1824
            WIRE 1680 1824 1680 2016
            WIRE 1680 2016 1776 2016
            WIRE 1680 2016 1680 2208
            WIRE 1680 2208 1776 2208
            WIRE 1680 2208 1680 2400
            WIRE 1680 2400 1776 2400
            WIRE 1680 112 1776 112
            WIRE 1680 112 1680 304
            WIRE 1680 304 1776 304
            WIRE 1680 304 1680 496
            WIRE 1680 496 1776 496
            WIRE 1680 496 1680 688
            WIRE 1680 688 1776 688
            WIRE 1680 688 1680 880
            WIRE 1680 880 1776 880
            WIRE 1680 880 1680 1072
            WIRE 1680 1072 1776 1072
            WIRE 1680 1072 1680 1264
            WIRE 1680 1264 1776 1264
            WIRE 1680 1264 1680 1456
            WIRE 1680 1456 1776 1456
            WIRE 1680 1456 1680 1824
        END BRANCH
        BEGIN BRANCH XLXN_854
            WIRE 1344 1296 1440 1296
            WIRE 1440 160 1776 160
            WIRE 1440 160 1440 1296
        END BRANCH
        BEGIN BRANCH XLXN_855
            WIRE 1344 1360 1456 1360
            WIRE 1456 352 1776 352
            WIRE 1456 352 1456 1360
        END BRANCH
        BEGIN BRANCH XLXN_856
            WIRE 1344 1424 1472 1424
            WIRE 1472 544 1776 544
            WIRE 1472 544 1472 1424
        END BRANCH
        BEGIN BRANCH XLXN_857
            WIRE 1344 1488 1488 1488
            WIRE 1488 736 1776 736
            WIRE 1488 736 1488 1488
        END BRANCH
        BEGIN BRANCH XLXN_858
            WIRE 1344 1552 1504 1552
            WIRE 1504 1552 1504 1888
            WIRE 1504 1888 1776 1888
            WIRE 1504 928 1776 928
            WIRE 1504 928 1504 1552
        END BRANCH
        BEGIN BRANCH XLXN_859
            WIRE 1344 1616 1520 1616
            WIRE 1520 1616 1520 2080
            WIRE 1520 2080 1776 2080
            WIRE 1520 1120 1776 1120
            WIRE 1520 1120 1520 1616
        END BRANCH
        BEGIN BRANCH XLXN_860
            WIRE 1344 1680 1536 1680
            WIRE 1536 1680 1536 2272
            WIRE 1536 2272 1776 2272
            WIRE 1536 1312 1776 1312
            WIRE 1536 1312 1536 1680
        END BRANCH
        BEGIN BRANCH XLXN_861
            WIRE 1344 1744 1552 1744
            WIRE 1552 1744 1552 2464
            WIRE 1552 2464 1776 2464
            WIRE 1552 1504 1776 1504
            WIRE 1552 1504 1552 1744
        END BRANCH
        BEGIN BRANCH DCLK
            WIRE 800 208 1728 208
            WIRE 1728 208 1776 208
            WIRE 1728 208 1728 400
            WIRE 1728 400 1776 400
            WIRE 1728 400 1728 592
            WIRE 1728 592 1776 592
            WIRE 1728 592 1728 784
            WIRE 1728 784 1776 784
            WIRE 1728 784 1728 976
            WIRE 1728 976 1776 976
            WIRE 1728 976 1728 1168
            WIRE 1728 1168 1776 1168
            WIRE 1728 1168 1728 1360
            WIRE 1728 1360 1728 1552
            WIRE 1728 1552 1776 1552
            WIRE 1728 1360 1776 1360
        END BRANCH
        IOMARKER 800 208 DCLK R180 28
        BEGIN BRANCH XLXN_868
            WIRE 2160 1456 2208 1456
        END BRANCH
        INSTANCE XLXI_305 2208 1488 R0
        IOMARKER 2560 1456 E0 R0 28
        BEGIN BRANCH XLXN_828
            WIRE 2160 1264 2192 1264
        END BRANCH
        INSTANCE XLXI_317 2192 1296 R0
        BEGIN BRANCH E1
            WIRE 2416 1264 2560 1264
        END BRANCH
        IOMARKER 2560 1264 E1 R0 28
        BEGIN BRANCH XLXN_829
            WIRE 2160 1072 2192 1072
        END BRANCH
        INSTANCE XLXI_318 2192 1104 R0
        BEGIN BRANCH E2
            WIRE 2416 1072 2560 1072
        END BRANCH
        IOMARKER 2560 1072 E2 R0 28
        BEGIN BRANCH XLXN_830
            WIRE 2160 880 2192 880
        END BRANCH
        INSTANCE XLXI_319 2192 912 R0
        BEGIN BRANCH E3
            WIRE 2416 880 2560 880
        END BRANCH
        IOMARKER 2560 880 E3 R0 28
        BEGIN BRANCH E4
            WIRE 2416 688 2560 688
        END BRANCH
        BEGIN BRANCH XLXN_839
            WIRE 2160 688 2192 688
        END BRANCH
        INSTANCE XLXI_324 2192 720 R0
        IOMARKER 2560 688 E4 R0 28
        BEGIN BRANCH XLXN_840
            WIRE 2160 496 2192 496
        END BRANCH
        BEGIN BRANCH E5
            WIRE 2416 496 2560 496
        END BRANCH
        INSTANCE XLXI_325 2192 528 R0
        IOMARKER 2560 496 E5 R0 28
        BEGIN BRANCH XLXN_841
            WIRE 2160 304 2192 304
        END BRANCH
        BEGIN BRANCH E6
            WIRE 2416 304 2560 304
        END BRANCH
        INSTANCE XLXI_326 2192 336 R0
        IOMARKER 2560 304 E6 R0 28
        BEGIN BRANCH XLXN_842
            WIRE 2160 112 2192 112
        END BRANCH
        BEGIN BRANCH E7
            WIRE 2416 112 2560 112
        END BRANCH
        INSTANCE XLXI_327 2192 144 R0
        IOMARKER 2560 112 E7 R0 28
    END SHEET
END SCHEMATIC
