VERSION 6
BEGIN SCHEMATIC
    BEGIN ATTR DeviceFamilyName "spartan3"
        DELETE all:0
        EDITNAME all:0
        EDITTRAIT all:0
    END ATTR
    BEGIN NETLIST
        SIGNAL RAM_WR
        SIGNAL RAM_OE
        SIGNAL LEVEL(31:0)
        SIGNAL XLXN_491(31:0)
        SIGNAL XLXN_495(15:0)
        SIGNAL XLXN_498(31:0)
        SIGNAL CONFIG(31:0)
        SIGNAL LEVEL(31:16)
        SIGNAL TestLED
        SIGNAL XLXN_517
        SIGNAL XLXN_462
        SIGNAL XLXN_375
        SIGNAL XLXN_527
        SIGNAL CONFIG(1)
        SIGNAL CONFIG(0)
        SIGNAL XLXN_456
        SIGNAL LEVEL(15:0)
        SIGNAL ClkIntern
        SIGNAL ClkIn
        SIGNAL XLXN_565
        SIGNAL ClkAux
        SIGNAL XLXN_568
        SIGNAL DAC(15:0)
        SIGNAL XLXN_633
        SIGNAL XLXN_648
        SIGNAL XLXN_649
        SIGNAL FP92
        SIGNAL XLXN_652(31:0)
        SIGNAL XLXN_653(15:0)
        SIGNAL CONFIG(9:8)
        SIGNAL XLXN_655(15:0)
        SIGNAL XLXN_656
        SIGNAL XLXN_658(15:0)
        SIGNAL F_RS
        SIGNAL F_DS
        SIGNAL F_MOSI
        SIGNAL F_SCK
        SIGNAL F_MISO
        SIGNAL XLXN_306(31:0)
        SIGNAL XLXN_681(3:0)
        SIGNAL XLXN_682
        SIGNAL XLXN_687
        SIGNAL XLXN_690
        SIGNAL XLXN_691
        SIGNAL XLXN_692
        SIGNAL XLXN_694
        SIGNAL DAC_WR
        SIGNAL XLXN_702
        SIGNAL XLXN_704
        SIGNAL XLXN_712
        SIGNAL DAC_MPX
        SIGNAL DAC_CLK
        SIGNAL XLXN_723
        SIGNAL XLXN_724(15:0)
        SIGNAL XLXN_727(31:0)
        SIGNAL XLXN_728(31:0)
        SIGNAL XLXN_730(31:0)
        SIGNAL XLXN_731(15:0)
        SIGNAL XLXN_732
        SIGNAL XLXN_733
        SIGNAL XLXN_734(31:0)
        SIGNAL MODULATION(31:0)
        SIGNAL MODULATION(15:0)
        SIGNAL XLXN_737
        SIGNAL XLXN_738
        SIGNAL XLXN_739(31:0)
        SIGNAL XLXN_741(1:0)
        SIGNAL XLXN_742(31:0)
        SIGNAL XLXN_743(15:0)
        SIGNAL CONFIG(17:16)
        SIGNAL XLXN_749(15:0)
        PORT Output RAM_WR
        PORT Output RAM_OE
        PORT Output TestLED
        PORT Input ClkIn
        PORT Input ClkAux
        PORT Output DAC(15:0)
        PORT Output FP92
        PORT Input F_RS
        PORT Input F_DS
        PORT Input F_MOSI
        PORT Input F_SCK
        PORT Output F_MISO
        PORT Output DAC_WR
        PORT Output DAC_MPX
        PORT Output DAC_CLK
        BEGIN BLOCKDEF gnd
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 64 -64 64 -96 
            LINE N 76 -48 52 -48 
            LINE N 68 -32 60 -32 
            LINE N 88 -64 40 -64 
            LINE N 64 -64 64 -80 
            LINE N 64 -128 64 -96 
        END BLOCKDEF
        BEGIN BLOCKDEF constant
            TIMESTAMP 2006 1 1 10 10 10
            RECTANGLE N 0 0 112 64 
            LINE N 144 32 112 32 
        END BLOCKDEF
        BEGIN BLOCKDEF buf
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 0 -32 64 -32 
            LINE N 224 -32 128 -32 
            LINE N 64 0 128 -32 
            LINE N 128 -32 64 -64 
            LINE N 64 -64 64 0 
        END BLOCKDEF
        BEGIN BLOCKDEF vcc
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 64 -32 64 -64 
            LINE N 64 0 64 -32 
            LINE N 96 -64 32 -64 
        END BLOCKDEF
        BEGIN BLOCKDEF dcm
            TIMESTAMP 2007 4 11 22 46 4
            LINE N 64 -832 0 -832 
            RECTANGLE N 64 -1024 320 -64 
            LINE N 384 -960 320 -960 
            LINE N 384 -896 320 -896 
            LINE N 384 -832 320 -832 
            LINE N 384 -576 320 -576 
            LINE N 384 -768 320 -768 
            LINE N 384 -640 320 -640 
            LINE N 384 -704 320 -704 
            LINE N 384 -512 320 -512 
            LINE N 384 -448 320 -448 
            LINE N 384 -384 320 -384 
            LINE N 0 -960 64 -960 
            LINE N 0 -896 64 -896 
            LINE N 0 -384 64 -384 
            LINE N 0 -256 64 -256 
            LINE N 0 -192 64 -192 
            LINE N 0 -128 64 -128 
            LINE N 384 -128 320 -128 
            LINE N 384 -320 320 -320 
            LINE N 64 -112 80 -128 
            LINE N 80 -128 64 -144 
            RECTANGLE N 320 -336 384 -304 
            LINE N 64 -944 80 -960 
            LINE N 80 -960 64 -976 
            LINE N 320 -288 64 -288 
            LINE N 64 -880 80 -896 
            LINE N 80 -896 64 -912 
        END BLOCKDEF
        BEGIN BLOCKDEF bufg
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 64 -64 64 0 
            LINE N 128 -32 64 -64 
            LINE N 64 0 128 -32 
            LINE N 224 -32 128 -32 
            LINE N 0 -32 64 -32 
        END BLOCKDEF
        BEGIN BLOCKDEF ibufg
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 64 0 64 -64 
            LINE N 128 -32 64 0 
            LINE N 64 -64 128 -32 
            LINE N 224 -32 128 -32 
            LINE N 0 -32 64 -32 
        END BLOCKDEF
        BEGIN BLOCKDEF inv
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 0 -32 64 -32 
            LINE N 224 -32 160 -32 
            LINE N 64 -64 128 -32 
            LINE N 128 -32 64 0 
            LINE N 64 0 64 -64 
            CIRCLE N 128 -48 160 -16 
        END BLOCKDEF
        BEGIN BLOCKDEF m4_1e
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 0 -416 96 -416 
            LINE N 0 -352 96 -352 
            LINE N 0 -288 96 -288 
            LINE N 0 -224 96 -224 
            LINE N 0 -32 96 -32 
            LINE N 320 -320 256 -320 
            LINE N 0 -160 96 -160 
            LINE N 0 -96 96 -96 
            LINE N 176 -96 96 -96 
            LINE N 176 -208 176 -96 
            LINE N 224 -32 96 -32 
            LINE N 224 -216 224 -32 
            LINE N 256 -224 96 -192 
            LINE N 256 -416 256 -224 
            LINE N 96 -448 256 -416 
            LINE N 96 -192 96 -448 
            LINE N 128 -160 96 -160 
            LINE N 128 -200 128 -160 
        END BLOCKDEF
        BEGIN BLOCKDEF cb2ce
            TIMESTAMP 2000 1 1 10 10 10
            RECTANGLE N 64 -384 320 -64 
            LINE N 384 -128 320 -128 
            LINE N 0 -32 64 -32 
            LINE N 0 -128 64 -128 
            LINE N 80 -128 64 -144 
            LINE N 64 -112 80 -128 
            LINE N 192 -32 64 -32 
            LINE N 192 -64 192 -32 
            LINE N 0 -192 64 -192 
            LINE N 384 -192 320 -192 
            LINE N 384 -256 320 -256 
            LINE N 384 -320 320 -320 
        END BLOCKDEF
        BEGIN BLOCKDEF dac_mpxofs
            TIMESTAMP 2009 1 23 12 21 49
            RECTANGLE N 64 -256 384 0 
            LINE N 64 -224 0 -224 
            LINE N 64 -160 0 -160 
            RECTANGLE N 0 -108 64 -84 
            LINE N 64 -96 0 -96 
            RECTANGLE N 0 -44 64 -20 
            LINE N 64 -32 0 -32 
            RECTANGLE N 384 -236 448 -212 
            LINE N 384 -224 448 -224 
        END BLOCKDEF
        BEGIN BLOCKDEF function_generator
            TIMESTAMP 2009 1 23 19 37 28
            RECTANGLE N 64 -256 432 0 
            LINE N 64 -224 0 -224 
            RECTANGLE N 0 -172 64 -148 
            LINE N 64 -160 0 -160 
            RECTANGLE N 0 -108 64 -84 
            LINE N 64 -96 0 -96 
            RECTANGLE N 0 -44 64 -20 
            LINE N 64 -32 0 -32 
            RECTANGLE N 432 -236 496 -212 
            LINE N 432 -224 496 -224 
        END BLOCKDEF
        BEGIN BLOCKDEF SPI_Ports
            TIMESTAMP 2008 12 10 9 50 5
            LINE N 64 -544 0 -544 
            LINE N 64 -496 0 -496 
            LINE N 64 -448 0 -448 
            LINE N 64 -400 0 -400 
            LINE N 0 -336 64 -336 
            RECTANGLE N 0 -284 64 -260 
            LINE N 64 -272 0 -272 
            RECTANGLE N 0 -28 64 -4 
            LINE N 64 -16 0 -16 
            RECTANGLE N 64 -576 384 160 
            LINE N 64 64 0 64 
            RECTANGLE N 0 52 64 76 
            LINE N 64 128 0 128 
            LINE N 384 -528 448 -528 
            RECTANGLE N 384 -508 448 -484 
            LINE N 384 -496 448 -496 
            RECTANGLE N 384 52 448 76 
            LINE N 384 64 448 64 
            LINE N 384 32 448 32 
            LINE N 384 -448 448 -448 
            RECTANGLE N 384 -428 448 -404 
            LINE N 384 -416 448 -416 
            RECTANGLE N 384 -348 448 -324 
            LINE N 384 -336 448 -336 
            LINE N 384 -368 448 -368 
            RECTANGLE N 384 -268 448 -244 
            LINE N 384 -256 448 -256 
            LINE N 384 -288 448 -288 
            RECTANGLE N 384 -188 448 -164 
            LINE N 384 -176 448 -176 
            LINE N 384 -208 448 -208 
            RECTANGLE N 384 -108 448 -84 
            LINE N 384 -96 448 -96 
            LINE N 384 -128 448 -128 
            RECTANGLE N 384 -28 448 -4 
            LINE N 384 -16 448 -16 
            LINE N 384 -48 448 -48 
            RECTANGLE N 0 -108 64 -84 
            LINE N 64 -96 0 -96 
            RECTANGLE N 0 -188 64 -164 
            LINE N 64 -176 0 -176 
        END BLOCKDEF
        BEGIN BLOCKDEF sinus_generator
            TIMESTAMP 2009 1 23 12 1 46
            LINE N 64 -224 0 -224 
            RECTANGLE N 64 -256 400 -64 
            RECTANGLE N 400 -236 464 -212 
            LINE N 400 -224 464 -224 
            RECTANGLE N 0 -172 64 -148 
            LINE N 64 -160 0 -160 
            RECTANGLE N 0 -108 64 -84 
            LINE N 64 -96 0 -96 
        END BLOCKDEF
        BEGIN BLOCKDEF dac_adder
            TIMESTAMP 2009 1 23 12 1 20
            RECTANGLE N 64 -192 384 0 
            LINE N 64 -160 0 -160 
            RECTANGLE N 0 -108 64 -84 
            LINE N 64 -96 0 -96 
            RECTANGLE N 0 -44 64 -20 
            LINE N 64 -32 0 -32 
            RECTANGLE N 384 -172 448 -148 
            LINE N 384 -160 448 -160 
        END BLOCKDEF
        BEGIN BLOCK XLXI_215 vcc
            PIN P RAM_OE
        END BLOCK
        BEGIN BLOCK XLXI_223 bufg
            PIN I XLXN_517
            PIN O ClkIntern
        END BLOCK
        BEGIN BLOCK XLXI_268 m4_1e
            PIN D0 XLXN_691
            PIN D1 ClkAux
            PIN D2 XLXN_568
            PIN D3 XLXN_690
            PIN E XLXN_527
            PIN S0 CONFIG(0)
            PIN S1 CONFIG(1)
            PIN O XLXN_517
        END BLOCK
        BEGIN BLOCK XLXI_222 dcm
            BEGIN ATTR CLKFX_MULTIPLY 16
                VERILOG all:0 dp:1nosynth wsynop:1 wsynth:1
                VHDL all:0 gm:1nosynth wa:1 wd:1
                VALUETYPE Integer 1 32
            END ATTR
            BEGIN ATTR CLK_FEEDBACK "NONE"
                VERILOG all:0 dp:1nosynth wsynop:1 wsynth:1
                VHDL all:0 gm:1nosynth wa:1 wd:1
            END ATTR
            BEGIN ATTR CLKFX_DIVIDE 1
                VERILOG all:0 dp:1nosynth wsynop:1 wsynth:1
                VHDL all:0 gm:1nosynth wa:1 wd:1
                VALUETYPE Integer 1 32
            END ATTR
            BEGIN ATTR CLKDV_DIVIDE 2
                VERILOG all:0 dp:1nosynth wsynop:1 wsynth:1
                VHDL all:0 gm:1nosynth wa:1 wd:1
                VALUETYPE Float 1 16
            END ATTR
            BEGIN ATTR CLKIN_PERIOD 238
                VERILOG all:0 dp:1nosynth wsynop:1 wsynth:1
                VHDL all:0 gm:1nosynth wa:1 wd:1
                VALUETYPE Float 0.0001 1000
            END ATTR
            PIN CLKFB
            PIN CLKIN ClkAux
            PIN DSSEN
            PIN PSCLK
            PIN PSEN
            PIN PSINCDEC
            PIN RST XLXN_375
            PIN CLK0
            PIN CLK180
            PIN CLK270
            PIN CLK2X
            PIN CLK2X180
            PIN CLK90
            PIN CLKDV
            PIN CLKFX XLXN_568
            PIN CLKFX180
            PIN LOCKED XLXN_462
            PIN PSDONE
            PIN STATUS(7:0)
        END BLOCK
        BEGIN BLOCK XLXI_269 vcc
            PIN P XLXN_527
        END BLOCK
        BEGIN BLOCK XLXI_226 gnd
            PIN G XLXN_375
        END BLOCK
        BEGIN BLOCK XLXI_186 buf
            PIN I XLXN_456
            PIN O TestLED
        END BLOCK
        BEGIN BLOCK XLXI_238 inv
            PIN I XLXN_462
            PIN O XLXN_456
        END BLOCK
        BEGIN BLOCK XLXI_225 ibufg
            PIN I ClkIn
            PIN O XLXN_691
        END BLOCK
        BEGIN BLOCK XLXI_274 cb2ce
            PIN C ClkIntern
            PIN CE XLXN_527
            PIN CLR
            PIN CEO
            PIN Q0 XLXN_649
            PIN Q1 XLXN_633
            PIN TC
        END BLOCK
        BEGIN BLOCK XLXI_285 dac_mpxofs
            PIN takt ClkIntern
            PIN sel XLXN_633
            PIN dac_0(15:0) XLXN_495(15:0)
            PIN dac_1(15:0) XLXN_655(15:0)
            PIN dac_out(15:0) DAC(15:0)
        END BLOCK
        BEGIN BLOCK XLXI_286 inv
            PIN I XLXN_649
            PIN O XLXN_702
        END BLOCK
        BEGIN BLOCK XLXI_216 vcc
            PIN P RAM_WR
        END BLOCK
        BEGIN BLOCK XLXI_287 vcc
            PIN P FP92
        END BLOCK
        BEGIN BLOCK XLXI_289 function_generator
            PIN takt ClkIntern
            PIN wave(1:0) CONFIG(9:8)
            PIN d_phase(31:0) XLXN_491(31:0)
            PIN dac_pegel(15:0) LEVEL(15:0)
            PIN dac_wert(15:0) XLXN_655(15:0)
        END BLOCK
        BEGIN BLOCK XLXI_290 function_generator
            PIN takt ClkIntern
            PIN wave(1:0) CONFIG(17:16)
            PIN d_phase(31:0) XLXN_498(31:0)
            PIN dac_pegel(15:0) XLXN_731(15:0)
            PIN dac_wert(15:0) XLXN_495(15:0)
        END BLOCK
        BEGIN BLOCK XLXI_291 SPI_Ports
            PIN F_RS F_RS
            PIN F_DS F_DS
            PIN BASEADR(3:0) XLXN_681(3:0)
            PIN F_MOSI F_MOSI
            PIN F_SCLK F_SCK
            PIN D1(31:0)
            PIN F_MISO F_MISO
            PIN D0(31:0)
            PIN DCLK XLXN_691
            PIN Q2(31:0) XLXN_498(31:0)
            PIN Q3(31:0) CONFIG(31:0)
            PIN Q0(31:0) XLXN_491(31:0)
            PIN Q1(31:0) LEVEL(31:0)
            PIN E0
            PIN Q6(31:0)
            PIN Q7(31:0)
            PIN Q4(31:0) XLXN_727(31:0)
            PIN Q5(31:0) MODULATION(31:0)
            PIN E1
            PIN E2
            PIN E3
            PIN E4
            PIN E5
            PIN E6
            PIN E7
            PIN D2(31:0)
            PIN D3(31:0) XLXN_306(31:0)
        END BLOCK
        BEGIN BLOCK XLXI_154 constant
            BEGIN ATTR CValue "23012009"
                DELETE all:1 sym:0
                EDITNAME all:1 sch:0
                VALUETYPE BitVector 32 Hexadecimal
            END ATTR
            PIN O XLXN_306(31:0)
        END BLOCK
        BEGIN BLOCK XLXI_294 constant
            BEGIN ATTR CValue "0"
                DELETE all:1 sym:0
                EDITNAME all:1 sch:0
                VALUETYPE BitVector 32 Hexadecimal
            END ATTR
            PIN O XLXN_681(3:0)
        END BLOCK
        BEGIN BLOCK XLXI_295 dcm
            BEGIN ATTR CLKFX_MULTIPLY 2
                VERILOG all:0 dp:1nosynth wsynop:1 wsynth:1
                VHDL all:0 gm:1nosynth wa:1 wd:1
                VALUETYPE Integer 1 32
            END ATTR
            BEGIN ATTR CLK_FEEDBACK "NONE"
                VERILOG all:0 dp:1nosynth wsynop:1 wsynth:1
                VHDL all:0 gm:1nosynth wa:1 wd:1
            END ATTR
            BEGIN ATTR CLKFX_DIVIDE 1
                VERILOG all:0 dp:1nosynth wsynop:1 wsynth:1
                VHDL all:0 gm:1nosynth wa:1 wd:1
                VALUETYPE Integer 1 32
            END ATTR
            BEGIN ATTR CLKDV_DIVIDE 2
                VERILOG all:0 dp:1nosynth wsynop:1 wsynth:1
                VHDL all:0 gm:1nosynth wa:1 wd:1
                VALUETYPE Float 1 16
            END ATTR
            BEGIN ATTR CLKIN_PERIOD 20
                VERILOG all:0 dp:1nosynth wsynop:1 wsynth:1
                VHDL all:0 gm:1nosynth wa:1 wd:1
                VALUETYPE Float 0.0001 1000
            END ATTR
            PIN CLKFB
            PIN CLKIN XLXN_691
            PIN DSSEN
            PIN PSCLK
            PIN PSEN
            PIN PSINCDEC
            PIN RST XLXN_375
            PIN CLK0
            PIN CLK180
            PIN CLK270
            PIN CLK2X
            PIN CLK2X180
            PIN CLK90
            PIN CLKDV
            PIN CLKFX XLXN_690
            PIN CLKFX180
            PIN LOCKED
            PIN PSDONE
            PIN STATUS(7:0)
        END BLOCK
        BEGIN BLOCK XLXI_218 buf
            PIN I XLXN_702
            PIN O DAC_WR
        END BLOCK
        BEGIN BLOCK XLXI_264 buf
            PIN I XLXN_633
            PIN O DAC_CLK
        END BLOCK
        BEGIN BLOCK XLXI_228 buf
            PIN I XLXN_633
            PIN O DAC_MPX
        END BLOCK
        BEGIN BLOCK XLXI_306 sinus_generator
            PIN takt ClkIntern
            PIN dac_wert(15:0) XLXN_724(15:0)
            PIN d_phase(31:0) XLXN_727(31:0)
            PIN dac_pegel(15:0) MODULATION(15:0)
        END BLOCK
        BEGIN BLOCK XLXI_307 dac_adder
            PIN takt ClkIntern
            PIN dac_a(15:0) XLXN_724(15:0)
            PIN dac_b(15:0) LEVEL(31:16)
            PIN dac_out(15:0) XLXN_731(15:0)
        END BLOCK
    END NETLIST
    BEGIN SHEET 1 7040 5440
        BEGIN BRANCH RAM_WR
            WIRE 2736 2480 2736 2544
            WIRE 2736 2544 2880 2544
        END BRANCH
        BEGIN BRANCH RAM_OE
            WIRE 2736 2240 2736 2304
            WIRE 2736 2304 2880 2304
        END BRANCH
        INSTANCE XLXI_215 2672 2240 R0
        BEGIN BRANCH LEVEL(31:0)
            WIRE 880 944 1008 944
            BEGIN DISPLAY 1008 944 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH XLXN_491(31:0)
            WIRE 880 1024 2032 1024
        END BRANCH
        BEGIN BRANCH XLXN_495(15:0)
            WIRE 2528 560 2752 560
        END BRANCH
        BEGIN BRANCH XLXN_498(31:0)
            WIRE 880 864 1648 864
            WIRE 1648 688 2032 688
            WIRE 1648 688 1648 864
        END BRANCH
        BEGIN BRANCH CONFIG(31:0)
            WIRE 880 784 1216 784
            BEGIN DISPLAY 1216 784 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH TestLED
            WIRE 2736 2064 3248 2064
        END BRANCH
        BEGIN BRANCH XLXN_517
            WIRE 1744 1712 1760 1712
        END BRANCH
        BEGIN BRANCH XLXN_462
            WIRE 816 2064 2224 2064
        END BRANCH
        INSTANCE XLXI_223 1760 1744 R0
        BEGIN BRANCH CONFIG(1)
            WIRE 1408 1936 1424 1936
            BEGIN DISPLAY 1408 1940 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH CONFIG(0)
            WIRE 1408 1872 1424 1872
            BEGIN DISPLAY 1408 1876 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        INSTANCE XLXI_268 1424 2032 R0
        INSTANCE XLXI_186 2512 2096 R0
        BEGIN BRANCH XLXN_456
            WIRE 2448 2064 2512 2064
        END BRANCH
        BEGIN BRANCH ClkIn
            WIRE 144 1232 160 1232
        END BRANCH
        BEGIN BRANCH ClkAux
            WIRE 160 1488 400 1488
            WIRE 400 1488 432 1488
            WIRE 400 1344 400 1488
            WIRE 400 1344 896 1344
            WIRE 896 1344 896 1680
            WIRE 896 1680 1424 1680
        END BRANCH
        IOMARKER 2880 2544 RAM_WR R0 28
        IOMARKER 2880 2304 RAM_OE R0 28
        BEGIN BRANCH LEVEL(15:0)
            WIRE 1840 1088 2032 1088
            BEGIN DISPLAY 1840 1088 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH DAC(15:0)
            WIRE 3200 432 3248 432
            WIRE 3248 416 3264 416
            WIRE 3248 416 3248 432
        END BRANCH
        BEGIN BRANCH XLXN_527
            WIRE 1408 2000 1424 2000
            WIRE 1408 2000 1408 2256
            WIRE 1408 2256 1776 2256
            WIRE 1776 2256 2064 2256
            WIRE 1776 2208 1776 2256
            WIRE 2064 1648 2144 1648
            WIRE 2064 1648 2064 2256
        END BRANCH
        IOMARKER 3248 2064 TestLED R0 28
        INSTANCE XLXI_216 2672 2480 R0
        INSTANCE XLXI_287 3024 2240 R0
        BEGIN BRANCH FP92
            WIRE 3088 2240 3088 2304
            WIRE 3088 2304 3248 2304
        END BRANCH
        IOMARKER 3248 2304 FP92 R0 28
        BEGIN INSTANCE XLXI_289 2032 1120 R0
        END INSTANCE
        BEGIN BRANCH CONFIG(9:8)
            WIRE 1840 960 2032 960
            BEGIN DISPLAY 1840 960 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH XLXN_655(15:0)
            WIRE 2528 896 2608 896
            WIRE 2608 624 2752 624
            WIRE 2608 624 2608 896
        END BRANCH
        IOMARKER 3264 416 DAC(15:0) R0 28
        BEGIN BRANCH F_RS
            WIRE 192 416 432 416
        END BRANCH
        BEGIN BRANCH F_DS
            WIRE 192 464 432 464
        END BRANCH
        BEGIN BRANCH F_MOSI
            WIRE 192 512 432 512
        END BRANCH
        BEGIN BRANCH F_SCK
            WIRE 192 560 432 560
        END BRANCH
        BEGIN BRANCH F_MISO
            WIRE 176 624 416 624
            WIRE 416 624 432 624
        END BRANCH
        BEGIN BRANCH XLXN_306(31:0)
            WIRE 352 784 432 784
        END BRANCH
        BEGIN BRANCH XLXN_681(3:0)
            WIRE 352 688 432 688
        END BRANCH
        IOMARKER 144 1232 ClkIn R180 28
        INSTANCE XLXI_225 160 1264 R0
        IOMARKER 160 1488 ClkAux R180 28
        BEGIN DISPLAY 48 1552 TEXT "4.194304 MHz Input"
            FONT 32 "Arial"
        END DISPLAY
        BEGIN INSTANCE XLXI_222 432 2448 R0
            BEGIN DISPLAY -272 -632 ATTR CLKFX_MULTIPLY
                FONT 28 "Arial"
                DISPLAYFORMAT NAMEEQUALSVALUE
            END DISPLAY
            BEGIN DISPLAY -272 -584 ATTR CLKFX_DIVIDE
                FONT 28 "Arial"
                DISPLAYFORMAT NAMEEQUALSVALUE
            END DISPLAY
            BEGIN DISPLAY -272 -536 ATTR CLK_FEEDBACK
                FONT 28 "Arial"
                DISPLAYFORMAT NAMEEQUALSVALUE
            END DISPLAY
            BEGIN DISPLAY -272 -488 ATTR CLKIN_PERIOD
                FONT 28 "Arial"
                DISPLAYFORMAT NAMEEQUALSVALUE
            END DISPLAY
        END INSTANCE
        BEGIN BRANCH XLXN_375
            WIRE 80 2064 432 2064
            WIRE 80 2064 80 3200
            WIRE 80 3200 432 3200
            WIRE 80 3200 80 3280
        END BRANCH
        IOMARKER 192 560 F_SCK R180 28
        IOMARKER 192 512 F_MOSI R180 28
        IOMARKER 192 464 F_DS R180 28
        IOMARKER 192 416 F_RS R180 28
        BEGIN INSTANCE XLXI_154 208 752 R0
        END INSTANCE
        BEGIN INSTANCE XLXI_294 208 656 R0
        END INSTANCE
        BEGIN INSTANCE XLXI_291 432 960 R0
        END INSTANCE
        BEGIN BRANCH XLXN_568
            WIRE 816 1936 896 1936
            WIRE 896 1744 1424 1744
            WIRE 896 1744 896 1936
        END BRANCH
        BEGIN BRANCH XLXN_691
            WIRE 352 2464 1008 2464
            WIRE 352 2464 352 2624
            WIRE 352 2624 432 2624
            WIRE 384 1232 416 1232
            WIRE 416 1232 1008 1232
            WIRE 1008 1232 1008 1616
            WIRE 1008 1616 1424 1616
            WIRE 1008 1616 1008 2464
            WIRE 416 1088 432 1088
            WIRE 416 1088 416 1232
        END BRANCH
        BEGIN INSTANCE XLXI_295 432 3584 R0
            BEGIN DISPLAY -272 -632 ATTR CLKFX_MULTIPLY
                FONT 28 "Arial"
                DISPLAYFORMAT NAMEEQUALSVALUE
            END DISPLAY
            BEGIN DISPLAY -272 -584 ATTR CLKFX_DIVIDE
                FONT 28 "Arial"
                DISPLAYFORMAT NAMEEQUALSVALUE
            END DISPLAY
            BEGIN DISPLAY -272 -536 ATTR CLK_FEEDBACK
                FONT 28 "Arial"
                DISPLAYFORMAT NAMEEQUALSVALUE
            END DISPLAY
            BEGIN DISPLAY -272 -488 ATTR CLKIN_PERIOD
                FONT 28 "Arial"
                DISPLAYFORMAT NAMEEQUALSVALUE
            END DISPLAY
        END INSTANCE
        BEGIN BRANCH XLXN_690
            WIRE 816 3072 1104 3072
            WIRE 1104 1808 1104 3072
            WIRE 1104 1808 1424 1808
        END BRANCH
        INSTANCE XLXI_274 2144 1840 R0
        INSTANCE XLXI_238 2224 2096 R0
        INSTANCE XLXI_269 1712 2208 R0
        BEGIN BRANCH DAC_WR
            WIRE 3504 1424 3520 1424
        END BRANCH
        INSTANCE XLXI_218 3280 1456 R0
        IOMARKER 3520 1424 DAC_WR R0 28
        BEGIN BRANCH XLXN_702
            WIRE 3184 1424 3280 1424
        END BRANCH
        INSTANCE XLXI_286 2960 1456 R0
        BEGIN BRANCH XLXN_649
            WIRE 2528 1520 2544 1520
            WIRE 2544 1424 2960 1424
            WIRE 2544 1424 2544 1520
        END BRANCH
        INSTANCE XLXI_264 3280 1696 R0
        INSTANCE XLXI_228 3280 1616 R0
        BEGIN BRANCH DAC_MPX
            WIRE 3504 1584 3520 1584
        END BRANCH
        BEGIN BRANCH DAC_CLK
            WIRE 3504 1664 3520 1664
        END BRANCH
        IOMARKER 3520 1664 DAC_CLK R0 28
        IOMARKER 3520 1584 DAC_MPX R0 28
        INSTANCE XLXI_226 16 3408 R0
        BEGIN BRANCH XLXN_724(15:0)
            WIRE 1792 256 2032 256
        END BRANCH
        BEGIN BRANCH LEVEL(31:16)
            WIRE 1744 496 1856 496
            WIRE 1856 320 2032 320
            WIRE 1856 320 1856 496
            BEGIN DISPLAY 1744 496 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH XLXN_731(15:0)
            WIRE 1968 464 1968 752
            WIRE 1968 752 2032 752
            WIRE 1968 464 2528 464
            WIRE 2480 192 2528 192
            WIRE 2528 192 2528 464
        END BRANCH
        BEGIN BRANCH XLXN_727(31:0)
            WIRE 880 704 992 704
            WIRE 992 320 1328 320
            WIRE 992 320 992 704
        END BRANCH
        BEGIN BRANCH MODULATION(31:0)
            WIRE 880 624 1104 624
            WIRE 1104 624 1216 624
            BEGIN DISPLAY 1216 624 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN INSTANCE XLXI_307 2032 352 R0
        END INSTANCE
        BEGIN INSTANCE XLXI_306 1328 480 R0
        END INSTANCE
        BEGIN BRANCH MODULATION(15:0)
            WIRE 1104 384 1168 384
            WIRE 1168 384 1328 384
            WIRE 1104 384 1104 528
            BEGIN DISPLAY 1168 384 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH ClkIntern
            WIRE 1280 192 1536 192
            WIRE 1536 192 2000 192
            WIRE 2000 192 2032 192
            WIRE 2000 192 2000 432
            WIRE 2000 432 2000 560
            WIRE 2000 560 2000 896
            WIRE 2000 896 2032 896
            WIRE 2000 896 2000 1376
            WIRE 2000 1376 2000 1712
            WIRE 2000 1712 2144 1712
            WIRE 2000 560 2032 560
            WIRE 2000 432 2752 432
            WIRE 1280 192 1280 256
            WIRE 1280 256 1328 256
            WIRE 1984 1712 2000 1712
            BEGIN DISPLAY 1536 192 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
            BEGIN DISPLAY 2000 1380 ATTR Name
                ALIGNMENT SOFT-TVCENTER
            END DISPLAY
        END BRANCH
        BUSTAP 1104 624 1104 528
        BEGIN INSTANCE XLXI_290 2032 784 R0
        END INSTANCE
        BEGIN BRANCH CONFIG(17:16)
            WIRE 1824 624 2032 624
            BEGIN DISPLAY 1824 624 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN INSTANCE XLXI_285 2752 656 R0
        END INSTANCE
        BEGIN BRANCH XLXN_633
            WIRE 2528 1584 2688 1584
            WIRE 2688 1584 3232 1584
            WIRE 3232 1584 3232 1664
            WIRE 3232 1664 3280 1664
            WIRE 3232 1584 3280 1584
            WIRE 2688 496 2752 496
            WIRE 2688 496 2688 1344
            WIRE 2688 1344 2688 1584
            BEGIN DISPLAY 2688 1344 ATTR Name
                ALIGNMENT SOFT-TVCENTER
            END DISPLAY
        END BRANCH
        IOMARKER 176 624 F_MISO R180 28
    END SHEET
END SCHEMATIC
