VERSION 6
BEGIN SCHEMATIC
    BEGIN ATTR DeviceFamilyName "spartan3"
        DELETE all:0
        EDITNAME all:0
        EDITTRAIT all:0
    END ATTR
    BEGIN NETLIST
        SIGNAL MOSI
        SIGNAL SCLK
        SIGNAL DSREADY
        SIGNAL SSDAT
        SIGNAL DS(15:0)
        SIGNAL DS(31:16)
        SIGNAL DQ(31:16)
        SIGNAL XLXN_213
        SIGNAL DQ(15:0)
        SIGNAL DS(15)
        SIGNAL XLXN_222
        SIGNAL XLXN_224
        SIGNAL XLXN_230
        SIGNAL XLXN_231
        SIGNAL XLXN_232
        SIGNAL DCLK
        SIGNAL XLXN_235
        SIGNAL XLXN_236
        SIGNAL XLXN_237
        SIGNAL DQ(31:0)
        SIGNAL DS(31:0)
        SIGNAL XLXN_240
        SIGNAL XLXN_242
        PORT Input MOSI
        PORT Input SCLK
        PORT Output DSREADY
        PORT Input SSDAT
        PORT Input DCLK
        PORT Output DQ(31:0)
        PORT Output DS(31:0)
        BEGIN BLOCKDEF gnd
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 64 -64 64 -96 
            LINE N 76 -48 52 -48 
            LINE N 68 -32 60 -32 
            LINE N 88 -64 40 -64 
            LINE N 64 -64 64 -80 
            LINE N 64 -128 64 -96 
        END BLOCKDEF
        BEGIN BLOCKDEF inv
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 0 -32 64 -32 
            LINE N 224 -32 160 -32 
            LINE N 64 -64 128 -32 
            LINE N 128 -32 64 0 
            LINE N 64 0 64 -64 
            CIRCLE N 128 -48 160 -16 
        END BLOCKDEF
        BEGIN BLOCKDEF or2
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 0 -64 64 -64 
            LINE N 0 -128 64 -128 
            LINE N 256 -96 192 -96 
            ARC N 28 -224 204 -48 112 -48 192 -96 
            ARC N -40 -152 72 -40 48 -48 48 -144 
            LINE N 112 -144 48 -144 
            ARC N 28 -144 204 32 192 -96 112 -144 
            LINE N 112 -48 48 -48 
        END BLOCKDEF
        BEGIN BLOCKDEF vcc
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 64 -32 64 -64 
            LINE N 64 0 64 -32 
            LINE N 96 -64 32 -64 
        END BLOCKDEF
        BEGIN BLOCKDEF sr16ce
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 0 -192 64 -192 
            LINE N 80 -128 64 -144 
            LINE N 64 -112 80 -128 
            LINE N 0 -128 64 -128 
            LINE N 192 -32 64 -32 
            LINE N 192 -64 192 -32 
            LINE N 0 -32 64 -32 
            LINE N 0 -320 64 -320 
            RECTANGLE N 64 -384 320 -64 
            RECTANGLE N 320 -268 384 -244 
            LINE N 384 -256 320 -256 
        END BLOCKDEF
        BEGIN BLOCKDEF fd16ce
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 0 -128 64 -128 
            LINE N 0 -192 64 -192 
            LINE N 0 -32 64 -32 
            LINE N 0 -256 64 -256 
            LINE N 384 -256 320 -256 
            LINE N 80 -128 64 -144 
            LINE N 64 -112 80 -128 
            RECTANGLE N 320 -268 384 -244 
            RECTANGLE N 0 -268 64 -244 
            LINE N 192 -32 64 -32 
            LINE N 192 -64 192 -32 
            RECTANGLE N 64 -320 320 -64 
        END BLOCKDEF
        BEGIN BLOCKDEF fd
            TIMESTAMP 2000 1 1 10 10 10
            RECTANGLE N 64 -320 320 -64 
            LINE N 0 -128 64 -128 
            LINE N 0 -256 64 -256 
            LINE N 384 -256 320 -256 
            LINE N 80 -128 64 -144 
            LINE N 64 -112 80 -128 
        END BLOCKDEF
        BEGIN BLOCK XLXI_4 gnd
            PIN G XLXN_213
        END BLOCK
        BEGIN BLOCK XLXI_109 sr16ce
            PIN C SCLK
            PIN CE XLXN_224
            PIN CLR XLXN_213
            PIN SLI MOSI
            PIN Q(15:0) DS(15:0)
        END BLOCK
        BEGIN BLOCK XLXI_110 fd16ce
            PIN C XLXN_231
            PIN CE XLXN_222
            PIN CLR XLXN_213
            PIN D(15:0) DS(15:0)
            PIN Q(15:0) DQ(15:0)
        END BLOCK
        BEGIN BLOCK XLXI_118 sr16ce
            PIN C SCLK
            PIN CE XLXN_224
            PIN CLR XLXN_213
            PIN SLI DS(15)
            PIN Q(15:0) DS(31:16)
        END BLOCK
        BEGIN BLOCK XLXI_119 fd16ce
            PIN C XLXN_231
            PIN CE XLXN_222
            PIN CLR XLXN_213
            PIN D(15:0) DS(31:16)
            PIN Q(15:0) DQ(31:16)
        END BLOCK
        BEGIN BLOCK XLXI_101 inv
            PIN I SSDAT
            PIN O XLXN_224
        END BLOCK
        BEGIN BLOCK XLXI_120 vcc
            PIN P XLXN_222
        END BLOCK
        BEGIN BLOCK XLXI_125 fd
            PIN C DCLK
            PIN D SSDAT
            PIN Q XLXN_231
        END BLOCK
        BEGIN BLOCK XLXI_126 fd
            PIN C DCLK
            PIN D XLXN_231
            PIN Q XLXN_240
        END BLOCK
        BEGIN BLOCK XLXI_127 or2
            PIN I0 XLXN_240
            PIN I1 SSDAT
            PIN O DSREADY
        END BLOCK
    END NETLIST
    BEGIN SHEET 1 5440 3520
        INSTANCE XLXI_4 928 2256 R0
        BEGIN BRANCH DSREADY
            WIRE 2560 1440 3024 1440
        END BRANCH
        IOMARKER 512 1888 SCLK R180 28
        INSTANCE XLXI_110 1776 2016 R0
        BEGIN BRANCH DS(15:0)
            WIRE 1424 1760 1520 1760
            WIRE 1520 1760 1776 1760
        END BRANCH
        IOMARKER 512 1696 MOSI R180 28
        INSTANCE XLXI_118 1040 1360 R0
        INSTANCE XLXI_119 1760 1360 R0
        BEGIN BRANCH DS(31:16)
            WIRE 1424 1104 1520 1104
            WIRE 1520 1104 1760 1104
            BEGIN DISPLAY 1520 1104 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH DQ(31:16)
            WIRE 2144 1104 2464 1104
            BEGIN DISPLAY 2464 1104 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH XLXN_213
            WIRE 992 1328 1040 1328
            WIRE 992 1328 992 1984
            WIRE 992 1984 1040 1984
            WIRE 992 1984 992 2080
            WIRE 992 2080 992 2128
            WIRE 992 2080 1728 2080
            WIRE 1728 1328 1760 1328
            WIRE 1728 1328 1728 1984
            WIRE 1728 1984 1728 2080
            WIRE 1728 1984 1776 1984
        END BRANCH
        BEGIN BRANCH MOSI
            WIRE 512 1696 1040 1696
        END BRANCH
        INSTANCE XLXI_109 1040 2016 R0
        BUSTAP 1520 1760 1520 1664
        BEGIN BRANCH DQ(15:0)
            WIRE 2160 1760 2496 1760
            BEGIN DISPLAY 2496 1760 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        IOMARKER 3024 1440 DSREADY R0 28
        BEGIN BRANCH DS(15)
            WIRE 816 1040 1040 1040
            WIRE 816 1040 816 1504
            WIRE 816 1504 1184 1504
            WIRE 1184 1504 1520 1504
            WIRE 1520 1504 1520 1664
            BEGIN DISPLAY 1188 1504 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH XLXN_222
            WIRE 1616 1008 1616 1168
            WIRE 1616 1168 1616 1824
            WIRE 1616 1824 1776 1824
            WIRE 1616 1168 1760 1168
        END BRANCH
        INSTANCE XLXI_120 1552 1008 R0
        BEGIN BRANCH SCLK
            WIRE 512 1888 944 1888
            WIRE 944 1888 1040 1888
            WIRE 944 1232 1040 1232
            WIRE 944 1232 944 1888
        END BRANCH
        INSTANCE XLXI_101 624 1632 R0
        BEGIN BRANCH SSDAT
            WIRE 512 1600 608 1600
            WIRE 608 1600 624 1600
            WIRE 608 1600 608 2416
            WIRE 608 2416 736 2416
            WIRE 608 1408 2304 1408
            WIRE 608 1408 608 1600
        END BRANCH
        IOMARKER 512 1600 SSDAT R180 28
        BEGIN BRANCH XLXN_231
            WIRE 1120 2416 1360 2416
            WIRE 1360 2416 1456 2416
            WIRE 1360 2192 1360 2416
            WIRE 1360 2192 1664 2192
            WIRE 1664 1232 1760 1232
            WIRE 1664 1232 1664 1888
            WIRE 1664 1888 1664 2192
            WIRE 1664 1888 1776 1888
        END BRANCH
        BEGIN BRANCH DCLK
            WIRE 512 2544 608 2544
            WIRE 608 2544 736 2544
            WIRE 608 2544 608 2672
            WIRE 608 2672 1360 2672
            WIRE 1360 2544 1456 2544
            WIRE 1360 2544 1360 2672
        END BRANCH
        BEGIN BRANCH XLXN_224
            WIRE 848 1600 880 1600
            WIRE 880 1600 880 1824
            WIRE 880 1824 1040 1824
            WIRE 880 1168 1040 1168
            WIRE 880 1168 880 1600
        END BRANCH
        INSTANCE XLXI_125 736 2672 R0
        BEGIN BRANCH DQ(31:0)
            WIRE 2816 1760 3024 1760
        END BRANCH
        BEGIN BRANCH DS(31:0)
            WIRE 2816 1632 3024 1632
        END BRANCH
        IOMARKER 3024 1760 DQ(31:0) R0 28
        IOMARKER 3024 1632 DS(31:0) R0 28
        BEGIN BRANCH XLXN_240
            WIRE 1840 2416 2224 2416
            WIRE 2224 1472 2304 1472
            WIRE 2224 1472 2224 2416
        END BRANCH
        INSTANCE XLXI_126 1456 2672 R0
        INSTANCE XLXI_127 2304 1536 R0
        IOMARKER 512 2544 DCLK R180 28
        BEGIN DISPLAY 2392 1948 TEXT "DQ ist mit steigender Flanke von DSREADY gueltig"
            FONT 32 "Arial"
        END DISPLAY
    END SHEET
END SCHEMATIC
